﻿/***********************************************************************************************************************/
//全局参数
var _mob_system = CheckMobSys();
var _pathname = window.location.pathname;
var _formid = _pathname.slice(_pathname.lastIndexOf("/") + 1, _pathname.lastIndexOf("."));

//用户信息发送
function UInfoSend(callback) {
    var ix = new IXContent();
    ix.Set("zjxx", 'loc');
    Win_CallTQL('UInfoBack', 'uinfo', ix, '', '', '', '', '', _mob_system, _formid + "&" + callback, 'JY', 'FuncID');
}

//用户信息返回
function UInfoBack(formid, funcid, flagtype, str) {
    var arr = formid.split("&");
    if (arr[0] == _formid && typeof (window[arr[1]]) == "function") {
        window[arr[1]](str);
    }
}

/***********************************************************************************************************************/
//检测手机系统
function CheckMobSys() {
    var platform = typeof (navigator.platform) == "undefined" ? "" : navigator.platform.toLowerCase();
    if (platform == "ipod" || platform == "iphone" || platform == "ipad" || platform == "iphone simulator" || platform == "ipad simulator") {
        return "IOS";
    }
    var userAgent = typeof (navigator.userAgent) == "undefined" ? "" : navigator.userAgent;
    if (userAgent.indexOf("Android") > -1) {
        return "Android";
    }
    return "Other";
}

/***********************************************************************************************************************/
//IOS函数桥接
var IOS_Bridge = {
    callbacksCount: 1,
    callbacks: {},
    resultForCallback: function resultForCallback(callbackId, resultArray) {
        try {
            var callback = IOS_Bridge.callbacks[callbackId];
            if (!callback) {
                return;
            }
            callback.apply(null, resultArray);
        } catch (e) {
            alert(e);
        }
    },

    //functionName: 调用函数名称
    //args:json 格式参数
    //callback 回调函数，可有可无
    //mob_funcname 类似PUL 或 CCS
    call: function call(functionName, args, funcID, frameID, callback, mob_funcname) {
        var hasCallback = callback && typeof callback == "function";
        var callbackId = hasCallback ? IOS_Bridge.callbacksCount++ : 0;
        if (hasCallback) {
            IOS_Bridge.callbacks[callbackId] = callback;
        }
        var iframe = document.createElement("IFRAME");
        iframe.setAttribute("src", "js-frame:" + functionName + ";;" + callbackId + ";;" + frameID + ";;" + funcID + ";;" + args + ";;" + callback + ";;" + mob_funcname);
        document.documentElement.appendChild(iframe);
        iframe.parentNode.removeChild(iframe);
        iframe = null;
    }
};

//移动平台调用
//callback_name： 回调函数名
//funid： 功能号
//_parm： 请求参数对象 设置好的IXContent对象
//_url： web端调用ajax 请求地址 （可送''）
//_webtype：web端调用ajax 请求类型 web用属必送字段 post/get
//_webdatatype：web端调用ajax 数据传输类型 web用属必送字段 text/json/....  如果是ix 字符串，则数据传输为text
//SPEC： ix_js ToRequest 请求设置（可送''）
//STRUCT： ix_js ToRequest 请求设置（可送''）
//_mob_system： 移动平台送 系统标示 （非移动平台送''）
//_mob_formid： 移动平台用框架ID （非移动平台送''）
//_mob_taget： Android 平台用，如交易送'JY','TP'
//_mob_ard_funcname：Android 平台用，后台功能模块名称 如'FuncID:'
//_readjson_id:读取的接口字段id的json数组
function Win_CallTQL(callback_name, funid, _parm, _url, _webtype, _webdatatype, SPEC, STRUCT, _mob_system, _mob_formid, _mob_taget, _mob_ard_funcname) {
    if (_mob_system == "IOS") {
        IOS_Bridge.call("Get_Ret", _parm.Value(), funid, _mob_formid, callback_name, _mob_ard_funcname);
    }
    else {
        var ardfun = _mob_ard_funcname + ':' + funid;
        window.tdx_java.Android_SendData(_mob_formid, ardfun, _mob_taget, _parm.Length(), _parm.Value(), callback_name);
    }
}

//交易应答
//formid：框架ID
//funcid：功能号ID
//flagtype：0：成功 ，1：失败
//_data：返回的json 数据
//callbackname : 回调函数
function Get_Ret(formid, funcid, flagtype, _data, callbackname) {
    window.frames["Main_Frame"].Cmd_cbk(formid, funcid, flagtype, _data, callbackname);
}
function Cmd_cbk(formid, funcid, flagtype, _data, callbackname) {
    callbackname(formid, funcid, flagtype, _data);
}

//定义 IXContent
var IXContent = function () {
    this.ret = "";
    this.retcnt = [];
    this.retlength = 0;
};
IXContent.prototype = {
    Set: function (k, v) {
        if ($.trim(k) == "") {
            alert("当前键对获取为NULL，不予录入，请输入键值对");
            return;
        }
        else {
            if (v == undefined) {
                v = "";
            }
            if (typeof (v) == 'string') {
                this.retcnt.push("{\"" + k + "\":" + "\"" + v + "\"}");
            }
            else if (typeof (v) == 'number') {
                this.retcnt.push("{\"" + k + "\":" + v + "}");
            }
            else {
                var _cnts = [];
                $.each(v, function (n, m) {
                    if (typeof (m) == 'string') {
                        _cnts.push("\"" + k + "\":" + "\"" + v + "\"");
                    } else {
                        _cnts.push("\"" + k + "\":" + v);
                    }
                });
                this.retcnt.push("\"" + k + "\":{" + this.retcnt.join(',') + "}");
            }
            this.retlength++;
        }
    },

    Length: function () {
        return this.retlength;
    },

    Value: function () {
        return "[" + this.retcnt.join(',') + "]";
    }
};