//全局js，保存部分全局函数
var bgcolor = 'white';                  //默认背景颜色为白色
var openWithApp = true;                 //是否在app内打开
var clientType = 'true';                //Android或者ios 
var _webType = "local";                 //网站类型 "local", "remote"                      
var today = getToday();                 //表示最开始的日期
var _mob_system = CheckMobSys();        //获取手机系统，Android或者ios
var controlDigest = 0;                  //控制摘要的参数 0为有摘要，1为无摘要
var localStorageParam = 'mobile';       //控制每个不同的页面保存不同的参数，实现每个页面点击后变色不会互相影响
var reg = /^\s*$/;                      //判断字符串是否为空的正则表达式
var dataEnd = false;                    //判断数据库数据是否加载完
var shownum = '10';                     //显示条数
var typeid = '';                        //类型，资讯 公告 新闻 研报
var code = '';                          //股票代码
var setcode = '';                       //setcode
var font = '';
var qsid = "9999";
var tdxfile = "";

var locationparm = ParseParmStr(location.search.slice(1));
if(locationparm != ''){
    bgcolor = locationparm['color'] || 'white';
    controlDigest = locationparm['digest'] || 0;
    localStorageParam = locationparm['htmlname'] || 'mobile';
    font = locationparm['font'] || '1';
    qsid = locationparm['qsid'] || '9999';
}




//动态添加CSS文件
$(function() {
    $('body').addClass('bodyback');
    var head = document.getElementsByTagName('head')[0];
    var style = document.createElement('link');
    style.rel = "stylesheet";
    style.type = "text/css";
    style.href = "../css/global_" + bgcolor + ".css";
    head.appendChild(style);
    showPreLoading();
    if (window["_config"])
    {
        tdxfile = window["_config"].tdxfile || "";
    }

    var id = "qs" + qsid;
    $("body").attr("id", id);


});
/******************************************************************/
//检测是否在app内打开
var matches = /tdxios/i.test(navigator.userAgent);
if (matches) {
  clientType = 'ios';
}
matches = /tdxAndroid/i.test(navigator.userAgent);
if (matches) {
  clientType = 'android';
}
if(clientType != 'ios' && clientType!= 'android')
{
    openWithApp = false;
}
_webType = window.location.href.indexOf("http") != -1? "remote":"local";


var now = new Date();            //获取当日时间 
if(now.getHours() == 23 && now.getMinutes == 59){
    localStorage.clear();
}

function showPreLoading(){
    var winWidth = 0, winHeight = 0;
    if (window.innerWidth)
        winWidth = window.innerWidth;
    else if ((document.body) && (document.body.clientWidth))
        winWidth = document.body.clientWidth;
// 获取窗口高度
    if (window.innerHeight)
        winHeight = window.innerHeight;
    else if ((document.body) && (document.body.clientHeight))
        winHeight = document.body.clientHeight;
    //$(".loading-img").width(winWidth + "px");
    //$(".loading-img").height(winHeight + "px");
    $(".pre-load").css({"width":winWidth + "px", height:winHeight + "px"});
    $(".pre-load").show();
}


function hidePreLoading()
{

    $(".pre-load").hide();
}


//资讯数据调用
function queryData(callback, funid, params) {
    function globalBack(data){
        data = data.replace(/\r\n/g, "<br>");
        data = data.replace(/\r/g, "<br>");
        data = data.replace(/\n/g, "<br>");
        data = data.replace(/&nbsp;/g, " ");
        callback(data);
    }    
    
    CallTQL(globalBack,funid,params, {UrlEncode:1});
}
  
//行情数据请求
function queryhq(callback, datacode,index,setcode){
    var funcname = "HQServ.CombHQ";
    var url = window.location.protocol + "//" + window.location.host + "/TQLEX?Entry=" + funcname;
    var Secu = new Array();
    for(var i=0;i<datacode.length;i++){
        Secu.push({Code:datacode[i],Setcode:setcode[i]});
    }
    var json = {
            "WantCol" : ["CLOSE", "NOW"], 
            "Secu" : Secu, 
            "ExHQFlag": 0
    };
    var bodystr = JSON.stringify(json);
   
    // $.ajax({
    //     url:url,
    //     type: 'POST',
    //     data: bodystr,
    //     success: function(data){
    //         callback(data,index);
    //     },
    //     error: function (xhr, stat, err) {
    //         console.log("[AjaxConnect][CallTQL]错误\r\n\r\n" + JSON.stringify(xhr));
    //         var text;
    //         try {
    //             text = xhr["responseText"];
    //             if (typeof (text) != "string" || text == "") {
    //                 throw "default";
    //             }
    //         }
    //         catch (err) {
    //             //text = "Ajax方式CallTQL错误";
    //         }
    //         //alert(text);
    //     }
    // });
    function globalBack(data){
        data = data.replace(/\r\n/g, "<br>");
        callback(data,index);
    }
    CallTQL(globalBack,funcname,bodystr);
}


var LSwiperMaker = function(o){
    var that = this;
    this.config = o;
    this.control = false;
    this.sPos = {};
    this.mPos = {};
    this.dire;
    this.swipe = 0;
    this.stop = 0;
    this.clock = undefined;
    this.config.bind.addEventListener('touchstart', function(e) { return that.start(e); } ,false);
    this.config.bind.addEventListener('touchmove', function(e) { e.preventDefault(); return that.move(e); } ,false);
    this.config.bind.addEventListener('touchend', function(e) { return that.end(e); } ,false);
    setInterval(function(){
        if (that.stop == 0)
        {
            that.change("L")
        }
        else if (that.stop == 2)
        {
            that.stop = 0;
        }
    },3000);
    this.show();

};
LSwiperMaker.prototype.start = function(e){
    var point = e.touches ? e.touches[0] : e;
    this.sPos.x = point.screenX;
    this.sPos.y = point.screenY;
    this.stop = 1;
};
LSwiperMaker.prototype.move = function(e){
    var point = e.touches ? e.touches[0] : e;
    this.control = true;
    this.mPos.x = point.screenX;
    this.mPos.y = point.screenY;
};

LSwiperMaker.prototype.end = function(e){
    this.config.dire_h  && (!this.control ? this.dire = null : this.mPos.x > this.sPos.x ? this.dire = 'R' : this.dire = 'L')
    this.config.dire_h  || (!this.control ? this.dire = null : this.mPos.y > this.sPos.y ? this.dire = 'D' : this.dire = 'U')


    var that = this;
    if (!this.clock && this.control == true)
    {
        setTimeout(function(){
            that.change(that.dire);

            that.clock = undefined;

        }, 100)
    }
    this.control = false;
    this.stop = 2;

};

LSwiperMaker.prototype.change = function(dir)
{

    $(".imgli").eq(this.swipe).fadeOut("slow");
    if (dir == "L")
    {
        this.swipe = (this.swipe + 1) % 3;
    }
    else
    {
        if (this.swipe == 0)
        {
            this.swipe = 2
        }
        else
        {
            this.swipe --;
        }

    }
    this.show();

}

LSwiperMaker.prototype.show =function(){
    $(".imgli").eq(this.swipe).fadeIn("slow");
    $(".imgli").eq(this.swipe).find("span").siblings().removeClass('circlefocus');
    $(".imgli").eq(this.swipe).find("span").eq(3-this.swipe).removeClass('circle').addClass('circlefocus');
}


//对要闻类同一类型界面封装
function ywfz(funcid,zxgstr){
    var i='1';
    var swipe = 0;//专题图片左右滑动位置
    var topicid = new Array();//保存每个条目的跳转id
    var localStorage = window.localStorage;//要闻类点击后标题变色
    var changeClickColor = '';//保存被点击的项目序号
    if(localStorage.getItem(localStorageParam)){changeClickColor = localStorage.getItem(localStorageParam);}
    //判断功能id  如果是要闻，需要添加专题元素
    
    if(funcid == '101'){
        //添加专题元素
        function ztdata(data){

            hidePreLoading();
            var getdata = JSON.parse(data).ResultSets[0].Content;
            for(var i=0;i<getdata.length;i++){
                //添加html元素
                var html = '';
                html+='<li class="imgli" index="'+i+'">';
                // html+=  '<img src="http://info.tdx.com.cn:7080/zxfiles/'+getdata[i][1].match(/\d+-\d+/)[0].replace(/-/,'')+'/'+getdata[i][2]+'/'+getdata[i][3]+'">';
                html+=  '<img src="' + tdxfile +getdata[i][1].match(/\d+-\d+/)[0].replace(/-/,'')+'/'+getdata[i][2]+'/'+getdata[i][3]+'">';
                html+=  '<div class="imgword">';
                html+=      '<span>'+getdata[i][0]+'</span>';
                html+=      '<span class="circle"></span>';
                html+=      '<span class="circle"></span>';
                html+=      '<span class="circle"></span>';
                html+=  '</div>';
                html+='</li>';
                $("#box div:first ul").append(html);
            }

            //页面初始化
            //$(".imgli").eq(swipe).fadeIn("slow");
            //$(".imgli").eq(swipe).find("span").eq(3).removeClass('circle').addClass('circlefocus');
            var pictureWidth = document.body.clientWidth;
            var pictureHeight = parseInt(pictureWidth/2.3);
            $("#top").css('height',pictureHeight+'px');
            $('.imgli').children('img').css('height',pictureHeight+'px');
            //对图片响应自动更换事件

            var a = new LSwiperMaker({
                bind: document.getElementById("top"),
                dire_h: true,
                backfn: function(o) {
                    if(o.dire === "R") {
                        // bannerSlide(true);
                        //console.log("right")
                    }
                    else if(o.dire === "L") {
                        //console.log("left")
                        // bannerSlide(false);
                    }
                }
            });

            // changeimg();
            //响应点击事件
            $("#top").click(function(){
                var clickindex = a.swipe;
                //alert(clickindex);
                var $li = $("#top").find(".imgli").eq(clickindex);
                var imgsrc = $li.find("img").prop("src");
                var myurl = "zt.html"+"?"+"clickindex="+getdata[clickindex][4]+'&imgsrc='+imgsrc;
                var clickTitle = $(this).parent('.imgli').find('span').eq(0).text();
                pagejump(myurl,'',clickTitle,imgsrc,'')
            });

            //$(".imgli img").click(function() {
            //
            //    var imgsrc = $(this).prop("src");
            //    var clickindex = $(this).parent(".imgli").attr("index") || "";
            //    if (!clickindex) return;
            //    alert(clickindex);
            //    var myurl = "zt.html"+"?"+"clickindex="+getdata[clickindex][4]+'&imgsrc='+imgsrc;
            //    var clickTitle = $(this).parent('.imgli').find('span').eq(0).text();
            //    pagejump(myurl,'',clickTitle,imgsrc,'')
            //})
        }
        function ywdata(data){
            hidePreLoading();
            data = JSON.parse(data).ResultSets[0].Content;
            if(data == ''){
                dataEnd = true;
                showloading(2);
            }
            else{
                showloading(1);
                addhtml(data, "#down ul");
            }
        }
        
        queryData(ztdata,"mzx_topic",['301','0']);
        queryData(ywdata, "mzx_yw",['101','',(i++).toString(),shownum]);
    }
    //自选股界面
    else if(funcid == '102'){   
        function aywdata(data){
            data = JSON.parse(data).ResultSets[0].Content;
            hidePreLoading();
            if(data == ''){
                dataEnd = true;
                showloading(2);
            }
            else{
                showloading(1);
                addhtml(data);
            }
        }
        queryData(aywdata, "mzx_yw",[funcid.toString(),zxgstr,(i++).toString(),shownum]);
    }
    //个股行情界面的公告，新闻，研报
    else if(funcid == 'mzx_xggg' || funcid == 'mzx_xgxw' || funcid == 'mzx_xgyb' || funcid == 'mzx_xgzx' || funcid == 'mzx_qhxw'){
        var appparam = zxgstr.split('&');
        function bywdata(data){
            data = JSON.parse(data).ResultSets[0].Content;
            if(data == ''){
                if(i == '2'){
                    dataEnd = true;
                    showloading(3);
                    $('#more').remove();
                }
                else{
                    dataEnd = true;
                    showloading(2);
                }
            }
            else{
                for(var i=0;i<data.length;i++){
                    //var reg = /[\u4e00-\u9fa5a-zA-Z]{2,4}\（\d{6}\）\：/g;
                    //data[i][0] = data[i][0].replace(reg,'');
                    //reg = /[\u4e00-\u9fa5a-zA-Z]{2,4}\(\d{6}\)/g;
                    //data[i][0] = data[i][0].replace(reg,'');
                    //reg = /[\u4e00-\u9fa5a-zA-Z]{2,4}\（\d{6}\）/g;
                    //data[i][0] = data[i][0].replace(reg,'');
                    var reg = /(-|^)\*?(ST|st)?[\s\u4e00-\u9fa5a]{2,5}[A-Z\uff21]?\s?[\(\（]\d{5,6}(\.HK|.SZ)?[\)\）][\：]?/g;
                    data[i][0] = data[i][0].replace(reg,'');
                }
                
                showloading(1);
                $('#more').remove();
                addhtml(data);
            }
        }
        queryData(bywdata,funcid,[appparam[0],appparam[1],(i++).toString(),appparam[2]]);
    }
    else{

        function cywdata(data){

            data = JSON.parse(data).ResultSets[0].Content;
            if(data == ''){
                dataEnd = true;
                showloading(2);
            }
            else{
                hidePreLoading();
                showloading(1);
                addhtml(data);
            }
        }
        queryData(cywdata, "mzx_yw",[funcid.toString(),'',(i++).toString(),shownum]);
    }

    //封装添加html函数
    function addhtml(data,addlocation){
        showloading(1);

        addlocation = addlocation || '#box ul';
        $("#alterBox").text($(addlocation).length);
        var datareg = '';
        for(var i=0;i<data.length;i++){
            var exg = /-[0-9]{4,8}$/;
            var title = data[i][0].replace(exg, "").substring(0, 35);            
            data[i][0] = data[i][0].substring(0,35);//限制字数
            //对日期进行处理
            if(data[i][1].split(' ')[0] != today){
                datareg = data[i][1].substring(5,10);
            }
            else{
                datareg = data[i][1].match(/\d+:\d+/);
            }


            topicid.push(data[i][4]);
            if(data[i][2] == null){data[i][2] = '';}
            if(data[i][3] == null || reg.test(data[i][3])  == true || shownum == 5 || typeid==21){
                var noimg = '';
                noimg+='<li class="noimg border">';
                noimg+= '<p class="title firstFont">'+title+'</p>';
                if (shownum == 5) // 手机行情页面的资讯
                {
                    noimg+= '<p class="subtitle secondFont" style="height:0px">'+data[i][2]+'</p>';    
                }
                else
                {
                    noimg+= '<p class="subtitle secondFont">'+data[i][2]+'</p>';                       
                }
                
                noimg+= '<p class="time thirdFont">'+datareg+'</p>';
                noimg+='</li>';
                $(addlocation).append(noimg);
            }
            else{
                var hasimg = '';
                hasimg+='<li class="hasimg border">';
                hasimg+=    '<img src="'+ tdxfile +data[i][1].match(/\d+-\d+/)[0].replace(/-/,'')+'/'+data[i][4]+'/'+data[i][3]+'">';
                hasimg+=    '<div>';
                hasimg+=        '<p class="title firstFont">'+title+'</p>';
                hasimg+=        '<p class="subtitle secondFont">'+data[i][2]+'</p>';
                hasimg+=        '<p class="time thirdFont">'+datareg+'</p>';
                hasimg+=    '</div>';
                hasimg+='</li>';
                $(addlocation).append(hasimg);
            }
        }

        //手机行情界面加载 更多标签
        if(shownum == 5){
            var html = '';
            html+= '<p id="more" class="more">点击查看更多</p>';
            $('#box').append(html);

            //只显示少量条数时（5）禁止滚动条事件，
            $("#more").unbind('click').click(function() {
                //新闻,公告留摘要，其余不留
                var url = "";
                if(typeid == 1 || typeid == 2 || typeid==21){
                    url = 'appIphone.html?typeid='+typeid+'&code='+code+'&setcode='+setcode+'&shownum=20';
                }
                else{
                    url = 'appIphone.html?typeid='+typeid+'&code='+code+'&setcode='+setcode+'&shownum=20&digest=1';
                }
                var title = (typeid == 0 && "最新") ||(typeid == 1 && "新闻") || (typeid == 2 && "公告") || (typeid == 5 && "研报") || (typeid==21 && "资讯") || "";
                pagejump(url,'','GGZX_MORE','','','',title, "1");
            });

            $(".noimg").each(function() {
                $(this).children('p').eq(0).css('font-size','15px');
            });
            $(".hasimg").each(function() {
                $(this).find('p').eq(0).css('font-size','15px');
            });
        }

        if(parseInt(controlDigest)){

            if(funcid == '101'){
                $('#down ul li').each(function() {
                    if($(this).hasClass('noimg')){
                        $(this).find('p').eq(1).hide();
                    }  
                })
            }
            else
            {
                $('#box ul li').each(function() {

                    if($(this).hasClass('noimg') ){
                        $(this).find('p').eq(1).hide();
                    }  
                })
            }
        }
        
        //对单个条目的点击事件
        $(addlocation+" li").unbind('click').click(function() {
            //点击后变灰
            if(bgcolor == 'black'){
                $(this).find('p').eq(0).css('color','#5b646e')
            }
            else{
                $(this).find('p').eq(0).css('color','#858585');
            }

            var clickindex = $(this).index();
            changeClickColor= changeClickColor+topicid[clickindex]+' ';
            localStorage.setItem(localStorageParam,changeClickColor);
            //研报需要区别处理，取内容的时候传701
            if(funcid == 'mzx_xgyb'){
                var myurl = "cjzx.html"+"?"+"clickindex="+topicid[clickindex]+'&param=801';
            }
            else{
                var myurl = "cjzx.html"+"?"+"clickindex="+topicid[clickindex]+'&param=101';
            }
            //获取标题和图片并发送
            var clickTitle = $(this).find('p').eq(0).text();
            var clickimg = 0;
            if($(this).prop('class') == 'hasimg'){
                clickimg = $(this).find('img').prop('src');
            }
            var clickSubtitle = $(this).find('p').eq(1).text() || '';
            var clickTime = $(this).find('p').eq(2).text();
            pagejump(myurl,'',clickTitle,clickimg,clickSubtitle,clickTime);
        }); 

        //background();
    }

    //要闻专题部分对图片响应自动更换事件

    $(window).bind("scroll", function() {
        var _thisProc = arguments.callee;
        var onlyOne = true;
        if(Math.abs(document.documentElement.scrollHeight - document.documentElement.clientHeight - $(window).scrollTop()) < 2){
            if(onlyOne){
                if(!dataEnd){
                    //执行滚动条滚动到底部代码
                    //加载动画
                    showloading(0);
                    //请求数据
                    if(funcid == '101'){
                        queryData(ywdata, "mzx_yw",[funcid.toString(),'',(i++).toString(),shownum]);
                    }
                    else if(funcid == '102'){
                        queryData(aywdata, "mzx_yw",[funcid.toString(),zxgstr,(i++).toString(),shownum]);
                    }
                    else if(funcid == 'mzx_xggg' || funcid == 'mzx_xgxw' || funcid == 'mzx_xgyb' || funcid == 'mzx_xgzx' || funcid == "mzx_qhxw"){
                        queryData(bywdata,funcid,[appparam[0],appparam[1],(i++).toString(),appparam[2]]);
                    }
                    else if(funcid == "zx_xw_news_zxg"){
                        queryData(zxgzxData,"zx_xw_news_zxg",[htmlType,zxgstr,'0',(i++).toString(),shownum]);
                    }
                    else{
                        queryData(cywdata, "mzx_yw",[funcid.toString(),'',(i++).toString(),shownum]);
                    }

                    //处理滚动条滚动到底部逻辑
                    $(window).unbind("scroll");
                    onlyOne = false;
                    setTimeout(function() {
                        $(window).bind('scroll',_thisProc);
                    },500);
                }
                else{
                    showloading(2);
                }
            }
        }
    })

    //页面背景设置
    function background(){
        if(bgcolor == 'black'){
            //点击返回后变色
            if(changeClickColor){
                var clickindexli = changeClickColor.substring(0,changeClickColor.length-1).split(' ');
                for(var i=0;i<topicid.length;i++){
                    if(clickindexli.indexOf(topicid[i]) != -1){
                        if(funcid == '101' ){
                            $('#down ul').children('li').eq(i).find('p').css('color','#8d8d8d'); 
                        }
                        else{
                            $('ul').children('li').eq(i).find('p').css('color','#8d8d8d');
                        }  
                    }
                }
            }
        }
        else if(bgcolor == 'white'){
            if(changeClickColor){
                var clickindexli = changeClickColor.substring(0,changeClickColor.length-1).split(' ');
                for(var i=0;i<topicid.length;i++){
                    if(clickindexli.indexOf(topicid[i]) != -1){
                        if(funcid == '101'){
                            $('#down ul').children('li').eq(i).find('p').css('color','#858585');
                        }
                        else{
                            $('ul').children('li').eq(i).find('p').css('color','#858585');
                        }  
                    }
                }
            }
        }
    }
}

//主题概念两类封装
function ztgl(funname,param){
    //向box中添加原始html
    var j = 3;//每次加载个数
    var i=0;
    queryData(backdata,funname,param);

    function backdata(data){
        var getdata = JSON.parse(data).ResultSets[0].Content;
        /*ztname     主题名或者概念名
        secucode   股票代码串
        zfday      前五日涨幅
        ztid       主题ID*/
        for(i=0;i<3;i++){
            //添加html
            var html = '';
            html+='<li class="hotTopic"><span class="hotTopicName">'+getdata[i][0].slice(0,4)+'</span><span class="hotTopicZf">'+getdata[i][2]+'%</span></li>';
            $("#remen ul").append(html);
        }
        addhtml(getdata);
        $("ul li").css("width",($(window).width()-42)/3+'px');
        //响应滚动条滚动事件
        $(window).scroll(function() {
            if(Math.abs(document.documentElement.scrollHeight - document.documentElement.clientHeight - $(window).scrollTop()) < 2){
                if(i < getdata.length){
                    addhtml(getdata);
                }
            }
        });
    }
    //添加html
    function addhtml(getdata){
        i=j;

        for(var i=j;i<j+21;i++){
            if(i == getdata.length){
                //alert('没有更多了！');
                break;
            }
            else{
                var html='';
                html+='<li class="usualTopic"><span class="usualTopicName">'+getdata[i][0].slice(0,5)+'</span><span class="usualTopicZf">'+getdata[i][2]+'%</span></li>';
                $("#ticaiku ul").append(html);
            }
        }
        $("ul li").css("width",($(window).width()-42)/3+'px');
        j+=21;

        //响应点击事件
        //热门题材点击
        $('#remen ul li').unbind('click').on('click',function() {
            var clickindex = $(this).index();
            var myurl = "tcglgyl.html"+"?clickindex="+getdata[clickindex][3]+"&zfday="+getdata[clickindex][2]+"&param="+(parseInt(param[0])+1);
            var clickTitle = $(this).children('span').eq(0).text();
            pagejump(myurl,"",clickTitle,"0","0");
        })
        //题材库题材点击
        $('#ticaiku ul li').unbind('click').on('click',function() {
            var clickindex = $(this).index()+3;
            var myurl = "tcglgyl.html"+"?clickindex="+getdata[clickindex][3]+"&zfday="+getdata[clickindex][2]+"&param="+(parseInt(param[0])+1);
            var clickTitle = $(this).children('span').eq(0).text();
            pagejump(myurl,"",clickTitle,"0","0");
        });

        //background();
    };
    //页面背景设置
    function background(){
        if(bgcolor == 'black'){
            $("#box").css('background-color',"#101419");
            $("#box").children('p').css('color','#ffffff');
            $("#box").children('p').css('background-color',"#1d2228");
            $("#box").children('p').css('border','none');
            $("#box").children("#remen").find('li').css('background-color',"#4a91d6");
            $("#box").children("#ticaiku").find('li').css('background-color',"#233d57");
            $("#box").children("#ticaiku").find('li').css('color',"#ffffff");
            $('a').css('background-color',"#1d2228");
            $('a').css('color',"#5b646e");
        }
        else{
            $("#box").css('background-color',"#eef2f6");
            $("#box").children('p').css('background-color',"#edf6fe");
            $("#box").children('p').css('border','1px solid #d7eafb');
            $('a').css('background-color',"#edf6fe");
            $('a').css('color',"#AEAEAE");
        }
    }
}

//自选股界面回调函数
function queryzxg(data){
    var zxgobj = JSON.parse(data);
    var zxgstr='';
    for(var i=0;i<zxgobj.length;i++){
        if(zxgobj[i].setcode == 0 || zxgobj[i].setcode == 1){
            zxgstr += (zxgobj[i].stockcode+',');
        }
    }
    ywfz(102,zxgstr.substring(0,zxgstr.length-1));
}

//保留小数点后两位的方法
function keeptwo(s){
    var num = new Number(s);
    return num.toFixed(2); 
}

//红涨绿跌函数
function queryColor(data){
    data = parseFloat(data);
    var color = "#ff3d3d";
    if(data <= 0){
        color = "#0bab5b";
    }
    else{
        color = "#ff3d3d";
    }
    return color;
}

/*递归对数组进行排序，n为数组长度，sortType为排序方式，sortArray为需要进
行排序的数组,可以再加个排序方式，由小到大或者由大到小*/
function dgpx(n,sortType,sortArray){
    var temp;
    if(n == 1){
        return;
    }
    for(var i=0;i<n-1;i++){
        if(sortArray[i][sortType]-sortArray[i+1][sortType] <= 0){
            temp = sortArray[i];
            sortArray[i] = sortArray[i+1];
            sortArray[i+1] = temp;
        }
    }
    dgpx(n-1,sortType,sortArray);
}

//计算涨幅
function queryZf(close,now){
    if(now != close){
        return (now - close)/close*100;
    }
    else{
        return 0;
    }
}

//页面跳转
function pagejump(url,gntype,param1,param2,param3,param4,gnname, bjh){
    
    //url = encodeURIComponent(url);
    param1 = encodeURIComponent(param1);
    param2 = encodeURIComponent(param2);
    param3 = encodeURIComponent(param3);
    param4 = encodeURIComponent(param4);

    gnname = gnname == undefined?"":gnname;
    bjh = bjh ==undefined? "0":bjh.toString();
    //判断是否是在app内调用，是的话就传参数，不是的话就跳转url
    if(openWithApp){
        // var locahref = 'MobInfo/html/';
        // url = locahref.concat(url);
        // var openParam = {UrlType:"Absolute"};
        // var openType = "native";
        // var hrefM = url;
        // var shareUrl = "http://page.tdx.com.cn:7615/site/"+url+'&color='+bgcolor;

        // var locahref = 'MobInfo/html/';
        if (locationparm && locationparm["hqip"])
        {
            url = url + "&hqip=" + locationparm["hqip"];
        }
        var locahref = '';
        var locakUrl = window.location.href.split("?")[0]; //避免后面的参数带有/导致URL取错

        var index = locakUrl.lastIndexOf("/");
        var serverUrl =locakUrl.substring(0, index);
        var hrefM = serverUrl + "/" + url; 
        var openParam = {UrlType:"Remote"};
        var shareUrl = hrefM;
        var openType = "native";
        if (window.location.href.match(/^http/) == null) //本地调用
        {
            hrefM =  locahref.concat(url);
            openParam  = {UrlType:"Relative"};
            // shareUrl = "http://page.tdx.com.cn:7615/site/zx/zx_tjcj_mobile.htm?id=" + rec_id;
            shareUrl = "site/webapp/app/MobInfo/html/" + url+"&color=" + bgcolor+ '&qsid=' + qsid;
            openType = "native";
        }

        if(_mob_system == 'Android'){
            var param = {OpenName:gnname, OpenParam:openParam ,OpenType:openType, OpenUrl:hrefM, ShareInfo:{jihui:bjh,Title:param1,Abstract:param3,ImageUrl:param2, ShareUrl:shareUrl}};
            window.tdx_java.TdxWebCall("tdxOpenUrl", JSON.stringify(param), "", "");
        }
        else if(_mob_system == 'IOS'){
            var param = {OpenName:gnname, OpenParam:openParam, OpenType:openType, OpenUrl:hrefM, ShareInfo:{jihui:bjh,Title:param1,Abstract:param3,ImageUrl:param2, Time:param4, ShareUrl:shareUrl}};
            var sender = document.createElement('IFRAME');
            var newsrc = "tdx-frame:WebCall;;0;;tdxOpenUrl;;" + JSON.stringify(param)+";;;;";
            sender.setAttribute('src', newsrc);
            document.documentElement.appendChild(sender);
            sender.parentNode.removeChild(sender);
            sender = null;  
        }
    }
    else{
        // var locahref = window.location.protocol + "//" + window.location.host + '/site/MobInfo/html/';
        url = url+'&color='+bgcolor + '&qsid=' + qsid;
        window.location.assign(url);
    }



}

//字符串参数转json
function ParseParmStr(parmStr) {
    var parms = new Object();
    strs = parmStr.split("&");
    for (var i = 0; i < strs.length; i++) {
        parms[strs[i].split("=")[0]] = strs[i].split("=")[1];
    }
    return parms;
}

/***********************************************************************************************************************/
//检测手机系统
function CheckMobSys() {
    var platform = typeof (navigator.platform) == "undefined" ? "" : navigator.platform.toLowerCase();
    if (platform == "ipod" || platform == "iphone" || platform == "ipad" || platform == "iphone simulator" || platform == "ipad simulator") {
        return "IOS";
    }
    var userAgent = typeof (navigator.userAgent) == "undefined" ? "" : navigator.userAgent;
    if (userAgent.indexOf("Android") > -1) {
        return "Android";
    }
    return "Other";
}

//财经资讯页面改变字体大小函数,1是小字，2是大的
function changeFontSize(size){
    if(typeof (size) == 'string'){size = parseInt(size);}
    size = size || 1;
    if(size == '1'){
        $('#box').children('div').eq(1).css('font-size','16px');
        $('.title').css('font-size','16px');
        $('.content').css('font-size','16px');
    }
    else{
        $('#box').children('div').eq(1).css({'font-size':'18px','line-height':'30px'});
        $('.title').css('font-size','18px');
        $('.content').css('font-size','18px');
    }
}

//时间转换函数'2015-12-21 08:21:12'
function gettime(timestr){
    var time = {
        year: '2015',
        month: '12',
        date: '25',
        hour: '15',
        minute: '29',
        second: '00'
    }
    var aTime = timestr.indexOf("+") != -1? timestr.split("+"):timestr.split(" "); 
    time.year = aTime[0].split('-')[0];
    time.month = aTime[0].split('-')[1];
    time.date = aTime[0].split('-')[2];
    time.hour = aTime[1].split(':')[0];
    time.minute = aTime[1].split(':')[1];
    time.second = aTime[1].split(':')[2];

    return time;
}

//加载动画函数,param1控制动画的显示/隐藏
function showloading(param){
    if(param == 0){
        $('.showloading').remove();
        var html = '<p class="showloading">加载中...</p>';
        $('#box').append(html);
    }
    else if(param == 1){
        $('.showloading').remove();
    }
    else if(param == 2){
        $('.showloading').remove();
        var html = '<p class="showloading">暂无相关信息</p>';
        $('#box').append(html);
    }
    else if(param == 3){
        $('.showloading').remove();
        var html = '<p class="showloading">暂无相关信息</p>';
        $('#box').append(html);
    }
}

//将today的2016-4-27转换为2016-04-27
function getToday(){
    var day = new Date();
    var year = day.getFullYear();
    var month = day.getMonth() + 1;
    var date = day.getDate();
    if(month > 0 && month < 10){
        month = '0' + month;
    }

    if(date > 0 && date < 10){
        date = '0' + date;
    }
    day = year+'-'+month+'-'+date;

    return day;
}

