//项目属性配置(现金产品登记)
mob_form_xjcpdj = {
    //表单控件布局
    "tools": [
        [
            { "text": ["产品代码"] },
            { "input": ["", "F391", ["", "", "", "", "170px"], ["RespondCx", 6], "输入代码"] },
            { "image": ["../../trade/images/ss.png", "", [], "RespondSs"] }
        ],
        [
            { "text": ["产品名称"] },
            { "text": ["", "F392"] }
        ],
        [
            { "text": ["登记公司"] },
            { "text": ["", "F394"] }
        ],
        [
            { "text": ["可取资金"] },
            { "text": ["", "F301", ["", "", "R"]] }
        ],
        [
            { "text": ["触发金额"] },
            { "input": ["", "F405", [], "", "输入金额"] }
        ],
        [
            { "text": ["触发状态"] },
            { "select": ["", "F114"] }
        ],
        [
            { "button": ["登记", "submit", [], "RespondTj_wdl"] }
        ]
    ],

    //表格属性
    "table": {
        //表格列名
        "heads": [
        ],

        //表格每一列单元格显示的字段及内容表达
        "cells": [
        ],

        //判断字体颜色的辅助字段名
        "aids": {
            "N": "F949",    //现价
            "C": "F946",    //比较颜色法辅助字段名，与昨收比较
            "P": "",    //关联颜色法辅助字段名，与浮动盈亏
            "O": "" //关联颜色法辅助字段名，与买卖撤关联
        }
    }
};


field = new Array();

SetBDCSHLoadForm = function(){
    var html = "";
    html+='<div id="xyqsHtml"></div>';
    $('#table').after(html);

    html="";
    html+="<ul id='wdlul'>";
    html+="  <li><input class='Fruit' type='checkbox' value='' /><span>电子签名约定书</span></li>";  
    html+="  <li><input class='Fruit' type='checkbox' value='' /><span>客户信息确认</span></li>";
    html+="  <li><input class='Fruit' type='checkbox' value='' /><span>稳德利风险揭示书</span></li> ";
    html+="  <li><input class='Fruit' type='checkbox' value='' /><span>稳德利产品说明书</span></li> ";
    html+="  <li><input class='Fruit' type='checkbox' value='' /><span>稳德利资产管理合同</span></li> ";
    html+="  <li><input class='Fruit' type='checkbox' value='' /><span>稳德利交易申请表</span></li>";   
    html+="</ul>";
    $('#xyqsHtml').append(html);

    $('.Fruit').prop('disabled',true);

    $("span").unbind('click').click(function() {
        alert("请输入现金产品代码");
    })
}



SetBDYCXLoadForm = function(){
    try {
        //扩展查询
        if (typeof (Controller) != "object") {
            ReadJavaScript("../../trade/Controller/Controller.js", function () {
                var zqdm = $('#F391').val();
                //查询签署协议
                Controller.send = function (n, json) {
                    var funcid = "";
                    var ix = new IXContent();
                    switch (n) {
                        case 0: 
                            funcid = "162"; //功能号
                            ix.Set("F110", json["wtfs"]);  //委托方式
                            ix.Set("F140", zqdm);  //证券代码
                            break;
                        case 1:
                            funcid = "2118";
                            ix.Set("F110", json["wtfs"]);  //委托方式
                            ix.Set("F113", "0");  //证券代码
                        default:
                            break;
                    }
                    return [funcid, ix];
                };

                Controller.call([0], function (n, jsonData) {
                    field = [
                        "http://www.ghzq.com.cn/ghzq/ghdown/dzqmyds.html",
                        "",
                        jsonData[2]["F1249"],
                        jsonData[2]["F251"],
                        jsonData[2]["F1256"],
                        jsonData[2]["F149"],
                    ];

                    var guestInfo = new Array();

                    Controller.call([1],function(s,newjsonData) {
                        guestInfo = [
                            newjsonData[2]["F122"],//姓名
                            newjsonData[2]["F250"],//证件类别
                            newjsonData[2]["F454"],//证件号码
                            newjsonData[2]["F128"],//联系电话
                            newjsonData[2]["F953"],//邮政编码
                            newjsonData[2]["F950"]//联系地址
                        ]
                    })



                    clicktrue = function(index){
                        $("#wdlul").find('li').eq(index).children('input:checkbox').prop("checked","true");
                    }

                    //给对应的协议签署绑定事件
                    $('span').unbind('click').click(function(){
                        var index = $(this).parents('li').index();
                        $(this).parents("li").children('input:checkbox').prop("disabled",false);
                        if(index == 1){
                            var dialogtips = [{
                                "title": "客户信息确认",
                                "content": "名字：        "+guestInfo[0]+"\r\n证件类型："+guestInfo[1]+"\r\n证件号码："+guestInfo[2]+"\r\n联系电话："+guestInfo[3]+"\r\n邮政编码："+guestInfo[4]+"\r\n联系地址："+guestInfo[5],
                                "buttons": [
                                    {"value": "确认", "focus":true,"fun": "clicktrue("+index+")"},
                                    {"value": "取消", "focus":true,"fun": "clickfalse("+index+")"}
                                ]
                            }]
                        }
                        else{
                            var clickname = $(this).text();
                            var dialogtips = [{
                                "title": clickname,
                                "content": field[index],
                                "buttons": [
                                    {"value": "确认", "focus":true,"fun": "clicktrue("+index+")"},
                                    {"value": "取消",  "focus":true,"fun": "clickfalse("+index+")"}
                                ]
                            }]
                        }
                        __tdxOpenDialog(dialogtips);
                    })
                });
            });
        }
    }
    catch (err) {
        //alert(err);
    }
}



RespondTj_wdl = function(){
    var chooseall = true;
    var checkedattr = '';
    for(var i=0;i<6;i++){
        checkedattr = $("#wdlul").find('li').eq(i).children('input:checkbox').is(':checked');
        if(checkedattr){

        }
        else{
            checkedattr = $("#wdlul").find('li').eq(i).children("span").text();
            chooseall = false;
            break;
        }
    }

    if(!chooseall){
        alert("请签署"+checkedattr);
    }
    else{
        RespondTj();
    }

}



