//交易发送协议(撤单)
GetSendData = function (n, json) {
    var funcid = "";
    var ix = new IXContent();
    switch (n) {
        case 0: //查询协议
            funcid = "2960";    //功能号
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F1207", "P");   //起始序号
            ix.Set("F126", json["startDate"]);  //开始日期
            ix.Set("F127", json["endDate"]);    //终止日期
            break;
        case 1: //撤单协议
            funcid = "3006"; //功能号
            ix.Set("F123", json["F123"]);   //股东代码
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F613", json["F601"]);   //证券代码
            ix.Set("F146", json["F146"]);   //委托编号
            ix.Set("F142", json["F142"]);   //委托日期
            ix.Set("F603", "10");   //起始序号
            break;
        default:
            break;
    }
    return [funcid, ix];
}