﻿//交易发送协议(LOF合拆)
GetSendData = function (n, json) {
    var funcid = "";
    var ix = new IXContent();
    switch (n) {
        case -1: //返回表单切换时文本替换字符
            return [["合并", "分拆"], ["可合", "可分"]];
        case 0: //返回表单多选下拉框所需内容(股东代码字段、股东代码内容、交易类型ID、交易类型内容)
            return ["F123", json["gddm"][0], "F130", ["合并", "分拆"]];
        case 10: //股份查询2nd版(合并)
            funcid = "1230";    //功能号
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F1207", "P");   //起始序号
            ix.Set("F113", "10");   //操作标志
            break;
        case 11: //股份查询2nd版(分拆)
            funcid = "1230";    //功能号
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F1207", "P");   //起始序号
            ix.Set("F113", "10");   //操作标志
            break;
        case 2: //返回证券信息查询所需字段名(证券代码)
            return ["F140"];
        case 30: //证券信息查询(合并)
            funcid = "1124";    //功能号
            ix.Set("F125", json["zhlb"]);   //账号类别
            ix.Set("F123", json["gddm"]);   //股东代码
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F130", "12");   //买卖标志
            ix.Set("F140", json["F140"]);   //证券代码
            ix.Set("F397", "9");    //产品标志
            ix.Set("F166", "-1");   //委托方式
            break;
        case 31: //证券信息查询(分拆)
            funcid = "1124";    //功能号
            ix.Set("F125", json["zhlb"]);   //账号类别
            ix.Set("F123", json["gddm"]);   //股东代码
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F130", "13");   //买卖标志
            ix.Set("F140", json["F140"]);   //证券代码
            ix.Set("F397", "9");    //产品标志
            ix.Set("F166", "-1");   //委托方式
            break;
        case 4: //返回证券信息展示所需字段名(证券名称、最大可买、返回信息)
            return ["F141", "F211", "F149"];
        case 5: //行情查询
            funcid = "102"; //功能号
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F140", json["F140"]);   //证券代码
            break;
        case 60:
            break;
        case 61:
            break;
        case 7:
            break;
        case 8: //返回表单提交所需字段名(账号类别、股东代码、证券代码、证券名称、委托数量)
            return ["F125", "F123", "F140", "F141", "F144"];
        case 90: //表单提交(合并)
            funcid = "202"; //功能号
            ix.Set("F125", json["F125"]);   //账号类别
            ix.Set("F123", json["F123"]);   //股东代码
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F130", "12");   //买卖标志
            ix.Set("F140", json["F140"]);   //证券代码
            ix.Set("F144", json["F144"]);   //委托数量
            ix.Set("F397", "9");    //产品标志
            break;
        case 91: //表单提交(分拆)
            funcid = "202"; //功能号
            ix.Set("F125", json["F125"]);   //账号类别
            ix.Set("F123", json["F123"]);   //股东代码
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F130", "13");   //买卖标志
            ix.Set("F140", json["F140"]);   //证券代码
            ix.Set("F144", json["F144"]);   //委托数量
            ix.Set("F397", "9");    //产品标志
            break;
        default:
            break;
    }
    return [funcid, ix];
}