
define(function(require, exports, module) {





function scrollToDiv(div, addHeight, times)

{
	times = times==undefined?300:times;
	addHeight = addHeight;
	var scroll_offset = $(div).offset();  //得到pos这个div层的offset，包含两个值，top和left
	if (scroll_offset)
	{
	  $("body,html").animate({
	   scrollTop:scroll_offset.top + addHeight  //让body的scrollTop等于pos的top，就实现了滚动
	   },times);  	
	}

}
exports.scrollToDiv = scrollToDiv;



/*
获取屏幕的高度
*/
function screenHeight()
{
	if (document.compatMode == "BackCompat") { 
		return ;
	}
	else{
		 return document.documentElement.clientHeight
	}
	// return document.body.clientHeight || document.documentElement.clientHeight;
}
exports.screenHeight = screenHeight;
function screenWidth()
{
	// if (document.compatMode == "BackCompat") { 
	// 	return ;
	// }
	// else{
	// 	 return document.documentElement.clientHeight
	// }
	return Math.max(document.documentElement.clientWidth, $("body").width());
}
exports.screenWidth = screenWidth;

/*
点击More的时候，滚动条向下滚动，将最新的新闻置顶
@param navHeight 导航栏高度
@param InfoHeight 单条信息高度
*/
function scrollMore(obj, addHeight, navObj)
{
	// var scrollTop=document.body.scrollTop||document.documentElement.scrollTop; 
	// var screenTop = screenHeight()  - InfoHeight;
	// $("body,html").animate({
	// scrollTop:scrollTop + screenTop
	// },300); 

	var line0 = obj.find("[line='0']");
	if (line0.length > 1)
	{
		var jumpObj = line0[line0.length - 1];
		var height = addHeight;
		if (navObj)
		{
			height = height - navObj.outerHeight();
		}
		scrollToDiv(jumpObj, height);
	}

}

exports.scrollMore = scrollMore;
//深拷贝，重新生成一个对象
var cloneObj = function (obj) {
    var newO = {};

    if (obj instanceof Array) {
        newO = [];
    }
    for (var key in obj) {
        var val = obj[key];
        newO[key] = typeof val === 'object' ? arguments.callee(val) : val;
    }
    return newO;
}


//显 white-space:pre-wrap; 属性 不会忽略原有的空格和换行
function repstr(content)  
{
	var a='';
	var b='';
	var s='';

	a = content;
	return a;
}

function getWebType(){
	var param = getUrlParam();
	if (param["pc"] == "1" || param["ispc"] == "1")
	{
		return "pc";
	}
	else
	{
		return "web";
	}
}


exports.repstr = repstr;

function getUrlParam() {

    var htmlParam =location.search.substring(1); 
  	var htmlArray = htmlParam.split("&");
  	var objData = {};
  	
  	for (var row=0; row<htmlArray.length; row++)
  	{
  		var a = htmlArray[row].split("=");
  		
  		if (a.length >1)
  		{
  			objData[a[0]] = a[1]
  		}
  	}
  	return objData;
} 
exports.getUrlParam = getUrlParam;


//显示模板的内容
function getTplText(tpl){
	// var a = $(div).html() || "";
	// doT.template($("#tplNav").html())

	// var a = document.getElementById(tpl); 
	var text = (document.getElementById(tpl) || {text: ''}).text;
	return doT.template(text);	

}
exports.getTplText = getTplText;

// 截取一段文字
function textSubstring(text, length, add){
	var add = add||"";
	var length = length || 0;
	var text = text || "";
	var ret = text.length > length ? (text.substring(0, length) + add) : text;
	return ret;
	
}
exports.textSubstring = textSubstring;


//填充select
function resetSelectByConst(obj, constid, bAll, bClear, callback)
{
	bAll = bAll || 0;
	bClear = bClear == undefined? 1: bClear;
	if (obj.length < 1) return;
	var shareFunc =require("sharefunc");
	shareFunc.CallTQL(function(data){
		var jsonData=FormatResult(data);		
		var rows = jsonData["tables"][0]["rows"];
		var aData = [];
		var aHtml = [];
		if (bAll == 1)
		{
			aHtml.push("<option value='-1'> 全部 </option>");
		}
		for (var row = 0; row<rows.length; row++)
		{
			var rd = rows[row];
			var s = "<option value='"+ rd["T002"]+"'>" + rd["T003"] + "</option>";
			aHtml.push(s);
		}
		if (bClear )
		{
			obj.html(aHtml.join(" ") );
		}
		else
		{
			obj.append(aHtml.join(" ") );	
		}
		if (callback != undefined)
		{
			callback();
		}

	}, "tdxi_zxconst", [""+constid,""])	
}
exports.resetSelectByConst = resetSelectByConst;


//填充select
function resetSelectByDict(obj, dict, bAll, bClear, callback)
{
	bAll = bAll || 0;
	bClear = bClear == undefined? 1: bClear;
	if (obj.length < 1) return;

		var aHtml = [];
		if (bAll == 1)
		{
			aHtml.push("<option value='-1'> 全部 </option>");
		}
		for (var row = 0; row<dict.length; row++)
		{
			var rd = dict[row];
			var s = "<option value='"+ rd["key"]+"'>" + rd["title"] + "</option>";
			aHtml.push(s);
		}
		if (bClear )
		{
			obj.html(aHtml.join(" ") );
		}
		else
		{
			obj.append(aHtml.join(" ") );	
		}
		if (callback != undefined)
		{
			callback();
		}

}
exports.resetSelectByDict = resetSelectByDict;


function dateToInt(date, f)
{
	
	var f = f || "";
	return date.split(f).join("");
}
exports.dateToInt = dateToInt;

function intToDate(date, f)
{
	var f = f || "";
	if (date.length < 8)
	{
		return date;
	}
	return date.substring(0,4) + f + date.substring(4, 6) + f + date.substring(6, 8); 
}
exports.intToDate = intToDate;

function  strToDate(str)
{
	str = str.split("-").join("");
	var date = new Date();
	var year = parseInt(str.substring(0, 4));
	var month = parseInt(str.substring(4, 6), 10) - 1;
	var day = parseInt(str.substring(6, 8, 10));
	date.setFullYear(year);
	date.setMonth(month);
	date.setDate(day);
	return date;
}
exports.strToDate = strToDate;


function  dateToStr(sdate, f)
{
	f = f == undefined? "":f;
	var year = sdate.getFullYear();
	var day = sdate.getDate();
	var month = sdate.getMonth() + 1;
	
	month = month < 10? "0" + month.toString(): month.toString();
	day = day < 10? "0" + day.toString(): day.toString();
	return year + f + month + f + day;
}
exports.dateToStr = dateToStr;


function  dateAdd(interval,number,date) 
{ 
/* 
 *---------------  DateAdd(interval,number,date)  ----------------- 
 *  DateAdd(interval,number,date)  
 *  功能:实现VBScript的DateAdd功能. 
 *  参数:interval,字符串表达式，表示要添加的时间间隔. 
 *  参数:number,数值表达式，表示要添加的时间间隔的个数. 
 *  参数:date,时间对象. 
 *  参数:flag 1正常日期， flag 2 模式
 *  返回:新的时间对象. 
 *  var  now  =  new  Date(); 
 *  var  newDate  =  DateAdd( "d ",5,now); 
 */

    switch(interval) 
    { 
        case  "y"  :  { 
            date.setFullYear(date.getFullYear()+number); 
            return  date; 
            break; 
        } 
        case  "q"  :  { 
            date.setMonth(date.getMonth()+number*3); 
            return  date; 
            break; 
        } 
        /*报告期*/
        case "r" :{
		 	var day = date.getDate();
		 	date.setDate(1); 
		 	var dayInfo = {
		 				0:{0:31, 1:28, 2:31, 3:30, 4:31, 5:30, 6: 31, 7:31, 8: 30, 9:31, 10:30, 11:31},
		 				1:{0:31, 1:29, 2:31, 3:30, 4:31, 5:30, 6: 31, 7:31, 8: 30, 9:31, 10:30, 11:31}	
		 				};

            date.setMonth(date.getMonth()+number*3);
            var newYear = date.getFullYear();
            var newMonth = date.getMonth();
            var result =(newYear%4==0 && newYear%100!=0)||(newYear%400==0) ? 1: 0;
            var maxDays = dayInfo[result][newMonth];
            var newDay = maxDays;
            date.setDate(newDay);
            return  date; 
            break;       	
        }
        case  "m"  :  { 
		 	var day = date.getDate();
		 	date.setDate(1); 
		 	var dayInfo = {
		 				0:{0:31, 1:28, 2:31, 3:30, 4:31, 5:30, 6: 31, 7:31, 8: 30, 9:31, 10:30, 11:31},
		 				1:{0:31, 1:29, 2:31, 3:30, 4:31, 5:30, 6: 31, 7:31, 8: 30, 9:31, 10:30, 11:31}	
		 				};
            date.setMonth(date.getMonth()+number);
            var newYear = date.getFullYear();
            var newMonth = date.getMonth();
            var result =(newYear%4==0 && newYear%100!=0)||(newYear%400==0) ? 1: 0;
            var maxDays = dayInfo[result][newMonth];
            var newDay = day;
            if (newDay > maxDays) 
            {
            	newDay = maxDays;
            }
            date.setDate(newDay);

            return  date; 
            break; 
        } 
        case  "w"  :  { 
            date.setDate(date.getDate()+number*7);
            return  date; 
            break; 
        } 
        case  "d"  :  { 
            date.setDate(date.getDate()+number); 
            return  date; 
            break; 
        } 
        case  "h"  :  { 
            date.setHours(date.getHours()+number);
            return  date; 
            break; 
        } 
        case  "min"  :  { 
            date.setMinutes(date.getMinutes()+number); 
            return  date; 
            break; 
        } 
        case  "s"  :  { 
            date.setSeconds(date.getSeconds()+number); 
            return  date; 
            break; 
        } 
        default  :  { 
            date.setDate(date.getDate()+number); 
            return  date; 
            break; 
        } 
    } 
}
exports.dateAdd = dateAdd;


//格式化日期， 将整形/带时分的日期转换成 按照  2014-10-03 这样的日期， flag= 1显示为 2014-10-03，flag = 2显示为10-03
function formatDate(date, f)
{
	var f = f || 1;
	date = date || "";
	var d = date.substring(0, 10);
	var i = dateToInt(d, "-");
	if (f == 1)
	{
		return i.substring(0,4) + "-" + i.substring(4, 6) + "-" + i.substring(6, 8);
	}
	else if (f == 2)
	{
		
		if ( date.length > 12) //完整的日期时候，如果碰到是当天，则显示时间
		{
			var now = new Date();
			var today = dateToStr(now);
			if (today == i)
			{
				return date.substring(11, 16)
			}

		}

		return i.substring(4, 6) + "-" + i.substring(6, 8);	
	}
	else
	{
		return date;
	}

}
exports.formatDate = formatDate;


//填充select
function resetSelectByProc(obj, proc, bAll, param, callback)
{
	bAll = bAll || 0;
	if (obj.length < 1) return;
	var shareFunc =require("sharefunc");
	shareFunc.CallTQL(function(data){
		var jsonData=FormatResult(data);		
		var rows = jsonData["tables"][1]["rows"];
		var aData = [];
		var aHtml = [];
		if (bAll == 1)
		{
			aHtml.push("<option value='-1'> 全部 </option>");
		}
		for (var row = 0; row<rows.length; row++)
		{
			var rd = rows[row];
			var s = "<option value='"+ rd["id"]+"'>" + rd["title"] + "</option>";
			aHtml.push(s);
		}

		// obj.html(aHtml.join(" ") );
		if (isArray(obj)) //如果是数组 ，表示初始化多个
		{
			for (var row=0; row<obj.length; row++)
			{
				obj[row].html(aHtml.join(" "));

			}
		}
		else
		{
			obj.html(aHtml.join(" ") );
		}

		if (callback != undefined)
		{
			callback(rows);
		}

	}, proc, param)	
}

exports.resetSelectByProc = resetSelectByProc;

//判断是否为数组
function isArray(o) {  
  return Object.prototype.toString.call(o) === '[object Array]';   
}
exports.isArray = isArray;


/*
* 小的切换条
*/
function TabNav(ulObj, divObj){
	var self = this;
	self.ulObj = ulObj;
	self.divObj = divObj;
	if (self.ulObj.length > 0)
	{
		self.ulObj.find("li").each(function(index, el) {
			$(this).unbind("mousemove").bind('mousemove', function(event) {
				/* Act on the event */
				self.ulObj.find(".curr").removeClass("curr");
				$(this).addClass("curr");
				var id = $(this).attr("id");
				if (self.divObj && self.divObj.length > 0)
				{
					var f = self.divObj.find(".tab-div");
					self.divObj.find(".tab-div").hide();
					self.divObj.find("[forid='" + id + "']").show();
				}				
			});
		});
	}
	var first =  self.ulObj.find("li:first");
	first.trigger("mousemove");

}
exports.TabNav = TabNav

	// gNavFirst = [{key: "1", title: "中国宏观"}, {key: "2", title: "公司财报"}];
	// gNavSecond ={"1":[{key:"1", title:"首页", src:"zx_zt_zghg_sy.htm", option:{query:""}}, 
	// 				  {key:"2", title:"CPI&PPI", src:"zx_zt_zghg_news.htm", option:{query:"4"}}, 
	// 				  {key:"3", title:"PMI", src:"zx_zt_zghg_news.htm", option:{query:"4"}}, 
	// 				  {key:"4", title:"进出口", src:"zx_zt_zghg_news.htm", option:{query:"4"}},
	// 				  {key:"5", title:"货币", src:"zx_zt_zghg_news.htm", option:{query:"4"}}, 
	// 				  {key:"6", title:"房地产", src:"zx_zt_zghg_news.htm", option:{query:"4"}}, 
	// 				  {key:"7", title:"投资", src:"zx_zt_zghg_news.htm", option:{query:"4"}}, 
	// 				  {key:"8", title:"消费", src:"zx_zt_zghg_news.htm", option:{query:"4"}}, 
	// 				  {key:"9", title:"工业", src:"zx_zt_zghg_news.htm", option:{query:"4"}}, 
	// 				  {key:"10", title:"财政", src:"zx_zt_zghg_news.htm", option:{query:"4"}}, 
	// 				  {key:"11", title:"外汇", src:"zx_zt_zghg_news.htm", option:{query:"4"}}, 
	// 				  {key:"12", title:"滚动", src:"zx_zt_zghg_news.htm", option:{query:"4"}}],
	// 			"2":[{key:"1", title:"首页", src:"zx_zt_ssgscb_sy.htm", option:{query:"4"}}, 
	// 				{key:"10", title:"业绩汇编", src:"zx_zt_ssgscb_news.htm", option:{query:"4"}, func:func},
	// 				{key:"2", title:"业绩速递", src:"zx_zt_ssgscb_news.htm", option:{query:"4"}}, 
	// 				{key:"3", title:"财报解读", src:"zx_zt_ssgscb_news.htm", option:{query:"4"}}, 
	// 				{key:"4", title:"业绩预告", src:"zx_zt_ssgscb_yjyg.htm", option:{query:"4"}},
	// 				{key:"5", title:"财务摘要", src:"zx_zt_ssgscb_cwzy.htm", option:{query:"4"}}, 
	// 				{key:"6", title:"报表查询", src:"zx_zt_ssgscb_bbcx.htm", option:{query:"4"}}, 
	// 				{key:"7", title:"公告查询", src:"zx_zt_ssgscb_ggcx.htm", option:{query:"4"}}, 
	// 				{key:"8", title:"披露时间", src:"zx_zt_ssgscb_plsj.htm", option:{query:"4"}}, 
	// 				{key:"9", title:"财报学堂", src:"zx_zt_ssgscb_news.htm", option:{query:"4"}}]				  
	// };



exports.HeadNav = function(obj, divObj, options){
	var self = this;
	self.options = {
		firstNav : [],
		secondNav : {},
		initPage:{}, //初始化页面
		showFirst : 1,    //是否显示第一行
		afterShowSecond:undefined // 当刷新第2行的时候回调

	}
	
	$.extend(true, self.options, options);
	self.obj = obj;
	self.divObj = divObj;
	self.firstNav = self.options.firstNav || [];
	self.secondNav = self.options.secondNav || {};
	var str = "<div class=\"nav-div\">"
			+ "<div class=\"top-nav nav-float\">"
			+	"<div class=\"nav-first clearfix\">"
            +        "<ul name=\"navFirst\">"
            +        "</ul>"
            +     "</div>"
            +     "<div class=\"nav-second clearfix\">"
            +        "<ul name=\"navSecond\"> "                                     
            +        "</ul>"
            +     "</div>	"
            + 	"</div>"
            // +	"<div class=\"nav-replace\"></div> "
            +  "</div>";

    if (self.obj.find(".top-nav").length < 1)
    {
    	self.obj.append(str);	    	
    }
	self.firstObj = self.obj.find("[name='navFirst']");
	self.secondObj = self.obj.find("[name='navSecond']");

	if (self.options.showFirst == 0)
	{
		self.obj.find(".nav-first").css("display", "none");
		self.obj.find(".nav-div").css("height", "35px");
	}

	var tplNav = ""
	    +"{{~it :item:index }}"
	    +    "<li key={{=item.key}}>"
	    +        "{{=item.title}}"
	    +    "</li>"
	    +"{{~}}";

	if (self.firstObj.find("ul li").length < 1)
	{
		var tplFirst = doT.template(tplNav);
		self.firstObj.html(tplFirst(self.firstNav));
	}


	self.creatHead = function()
	{
		
		// var c = tplFirst(tplNav);

		self.firstObj.children().each(function(index, el) {
			$(this).click(function(event) {
				self.firstObj.find(".curr").removeClass("curr");
				$(this).addClass("curr");
				var key = $(this).attr("key") || "";
				self.showSecond(key);
				self.firstObj.attr("bOn", "1");//由于精华资讯需要区别首行的点击消息
				self.secondObj.children(":first").trigger("click");
				
			});

			$(this).mousemove(function(event) {

				self.firstObj.find(".curr").removeClass("curr");
				$(this).addClass("curr");
				var key = $(this).attr("key") || "";
				self.showSecond(key);
				// // changeOnScroll();
			});		

		});	
		// self.firstObj.children(":first").trigger("click");
		obj.mouseleave(function(event) {
			self.setCurPage();
		});	
	}

	self.showSecond = function(key){
		if (!key) return;
		var aSecond = self.secondNav[key] || [];	
		var tplFirst = doT.template(tplNav);

		self.secondObj.html(tplFirst(aSecond));
		self.secondObj.children().each(function(index, el) {
			$(this).click(function(event) {
				// self.secondObj.find(".curr").removeClass("curr");
				// $(this).addClass("curr");				
				var bFirst = self.firstObj.attr("bOn") || "0";
				self.firstObj.attr("bOn", "");  //在读取对应的页面中判断是否是点击首行进入的
				if (bFirst == "1")
				{
					self.divObj.attr("firstOn", "1");
					
				}
				else
				{
					self.divObj.attr("firstOn", "0");
				}
				var key1 = $(this).attr("key") || "";
				self.goPage(key, key1);	
			});		
		});
		if (self.options.afterShowSecond)
		{
			self.options.afterShowSecond(key);	
		}
	}


	self.getSecondInfo = function(key1, key2){
		var aSecond = self.secondNav[key1] || [];
		for(var row=0; row<aSecond.length; row++)
		{
			var rd = aSecond[row];
			if (rd.key == key2)
			{
				return rd;
			}
		}
		return;
	}


	self.setCurPage = function(){
		var key1 = $("#tdx_content").attr("key1");
		var key2 = $("#tdx_content").attr("key2");
		
		var t1 = self.firstObj.find("[key='"+key1+"']");
		
		if (t1.length > 0)
		{	
			self.firstObj.find(".curr").removeClass("curr");
			t1.addClass("curr");
			self.showSecond(key1);
			var t2 = self.secondObj.find("[key='"+key2+"']");
			if (t2.length > 0)
			{
				self.secondObj.find(".curr").removeClass("curr");
				t2.addClass("curr");			
			}
		}


	}

	self.goPage = function(key1, key2){
		key1 = key1 || "";
		key2 = key2|| "";
		var curKey1 = self.divObj.attr("key1");
		self.divObj.attr("key1", key1);
		self.divObj.attr("key2", key2);
		var info = self.getSecondInfo(key1, key2);
		if (info)
		{
			self.setCurPage();
			var reload = info["reload"] == undefined? 0: info["reload"];
			var reloadFunc = info["reloadFunc"];
			var src = info.src;
			var curSrc = self.divObj.attr("linkSrc") || "";
			var option = info.option || {};
			if (src == "") return;
			for (var i in option)
			{
				var iVal = option[i];
				self.divObj.attr(i, iVal);
			}		
			// 当src一样的时候，且配置了reload =0 的时候，不刷新页面，调用reloadFunc刷新	
			if (reload == 0 && reloadFunc && src == curSrc && key1 == curKey1)
			{

				reloadFunc(key1, key2, info);

			}
			else
			{
				self.divObj.attr("linkSrc", src);
				// $("#tdx_ifrm").attr("src", src);
				$.ajax({
					url:src,
					type:"GET",
				   	success: function(data){
					    self.divObj.html(data)
					}
				})
			}
		}
	}

	self.goFirstNav = function(key)
	{
		self.firstObj.find("[key='"+key+"']").trigger("click");
	}

	self.creatHead();
	if (self.options.initPage.key1 != undefined && self.options.initPage.key1 != undefined)
	{
		self.goPage(self.options.initPage.key1, self.options.initPage.key2)
	}
	else
	{
		self.firstObj.children(":first").trigger("click");
	}
	
}


	/*
	添加 资讯列表

	  src 数据
	  obj 对应的div对象[{id:1,title:"",date:""}]

	*/

function writeNews(obj, src, options)
{
	var config = require("modules/config");
	var shareFunc = require("modules/sharefunc");
	var newOptions = {
		notice: 0, //0 资讯内容来源于资讯表(411100001), 1来源于公告表(200701000)
		clear: 1, // 是否清空 
		p: 1, // 对应于新闻格式，1:2行，包含标题，日期，对应于模板t1, 2:单行 包含 标题 对应于模板t2
		tLength:-1, //标题长度
		cLength:-1 //摘要长度
	};
	$.extend(true, newOptions, options);
	var t1 = ""	
	+		"{{~it:item:index}}"
	+		"<li onclick='' class='news-line' line='{{=index}}'>"
	+			"<div class='clearfix'><div class='news-title' > <a href='javascript:void(0);'  onclick='showContent({{=item.id}}, {{=item.notice}})' >{{=item.title}}</a> </div> <div class='news-date' >{{=item.date}}</div></div>"
	+			"<div class='news-content'><p >{{=item.content}}</p></div>"
	+		"</li>"
	+		"{{~}}";

	var t2 = ""
	+		"{{~it:item:index}}"	
	+		"<li onclick='' class='news-line clearfix' line='{{=index}}'>"
	+			"<a href='javascript:void(0);'  onclick='showContent({{=item.id}}, {{=item.notice}})' tip-title='{{=item.allTitle}}' >{{=item.title}}</a>"

	+		"</li>"
	+		"{{~}}";

	var t3 = ""
	+		"{{~it:item:index}}"
	+		"<li onclick='' class='news-line' line='{{=index}}'>"
	+			"<div class='clearfix'><div class='news-date' >{{=item.date}}</div>"
	+			"<div class='news-title' > <a href='javascript:void(0);'  onclick='showContent({{=item.id}}, {{=item.notice}})' tip-title='{{=item.allTitle}}'>{{=item.title}}</a></div>"
	+			"{{? item.fileFlag==1}}"
	+ 				"{{? item.image == 'doc'}}"
	+				"<div class='news-img {{=item.image}}'><a href='{{=item.fileUrl}}' download > </a></div> "
	+				"{{??}}"
	+				"<div class='news-img {{=item.image}}'><a href='javascript:void(0);' onclick='openUrl( \"{{=item.fileUrl}}\")' > </a></div> "
	+				"{{?}}"
	+			"{{?}}"	
	+			" <div class='news-src' >{{=item.infoSrc}}</div></div>"

	+		"</li>"
	+		"{{~}}";

	if (newOptions["clear"] == 1)
	{
		obj.empty();
	}

	for (var row=0; row<src.length; row++)
	{
		var rd = src[row];
		rd["allTitle"] = rd["title"];
		if (newOptions["tLength"] > 0 && rd["title"] != undefined)
		{
			rd["title"] = textSubstring(rd["title"], newOptions["tLength"], "...");
		}
		if (newOptions["cLength"] > 0 && rd["content"] != undefined)
		{
			rd["content"] = textSubstring(rd["content"], newOptions["cLength"], "...")
		}
		rd["fileFlag"] = 0;
		rd["fileUrl"] = "";
		rd["url"] =  rd["url"] || "";
		rd["image"] =   "pdf";

		var exp = /(.pdf$)|(.PDF$)/;
		if (rd["file"] && $.trim(rd["file"]))  //带附件的显示pdf符号
		{
			rd["fileFlag"] = 1;
			rd["fileUrl"] = config.preUrl["tdxfile"]+rd["file"];
			if (rd["noticeType"] == 1) //研报的时候，文件的前缀不一致
			{
				rd["fileUrl"] = config.preUrl["ybPdf"]+rd["file"];
			}
		}
		if (rd["url"].match(exp)) //URL为PDF结尾的 显示PDF
		{
			rd["fileFlag"] = 1;
			rd["fileUrl"] = rd["url"];
		}
		if (rd["fileType"] &&( rd["fileType"].toLowerCase() == "docx" || rd["fileType"].toLowerCase() == "doc"))  //如果是类型为docx 则显示doc图标
		{
			rd["image"] = "doc";
		}

		rd["notice"] = newOptions.notice;
		if (rd["noticeType"] != undefined && rd["noticeType"] != "")
		{
			rd["notice"] = rd["noticeType"];
		}
	}

	if (obj.find(".news").length < 1)
	{
		var s = "<div class='news'> <ul class='clearfix'></ul></div>";
		obj.append(s);
		var cla = (newOptions.p == 1 && "news-1") ||  (newOptions.p == 2 && "news-2") ||  (newOptions.p == 3 && "news-3")  || "";
		obj.find(".news").addClass(cla);
	}
	var ulDiv = obj.find(".news").find("ul");
	var t = (newOptions.p == 1 && t1) ||  (newOptions.p == 2 && t2)||  (newOptions.p == 3 && t3) || "";
	var tpl = doT.template(t);
	var text = tpl(src);
	ulDiv.append(text);
	shareFunc.tipTitle();



}
exports.writeNews = writeNews;

/*
通过存储过程填充新闻列表
 @param obj 填充对象
 @param proName 调用的存储过
 @param param 存储过程的参数
 @param option 参见writeNews
 @param callback 回调函数
 接口需要返回 字段 rec_id,Title,Issue_date,Summary
*/

function queryNews(obj ,proName, param, option, callback)
{
		var shareFunc =require("sharefunc");
		shareFunc.CallTQL(function(data){
			var jsonData=FormatResult(data);		
			var rows1 = jsonData["tables"][0]["rows"];	

			var rows2 = (jsonData["tables"][1] && jsonData["tables"][1]["rows"]) || undefined;	
			var rows = (rows2 != undefined && rows2) || (rows1 != undefined && rows1) || []; 
			var d = [];
			for (var row=0; row<rows.length; row++)
			{
				var rd = rows[row];
				var title = rd.Title || rd["title"];
				d.push({id:rd.rec_id,title:title, date:formatDate(rd.Issue_date, 2), content:rd["Summary"]})
			}
			writeNews(obj, d, option);
			if (callback)
			{
				callback(rows.length);
			}
		}, proName, param, {isCache:1});

}
exports.queryNews = queryNews




function showScroll(bShow){
	bShow = bShow == undefined? 0:bShow;
	var H = $("html");
	if (bShow == 1)
	{
		var w1 = $(window).width();
		H.addClass('fancybox-lock-test');
		var w2 = $(window).width();
		H.removeClass('fancybox-lock-test');

		$("<style type='text/css'>.fancybox-margin{margin-right:" + (w2 - w1) + "px;}</style>").appendTo("head");
		H.addClass('fancybox-lock-test');
		H.addClass('fancybox-margin');
	}
	else
	{
		H.removeClass('fancybox-lock-test');
		H.removeClass('fancybox-margin');
	}

}


exports.showScroll = showScroll;

function showContent(recid, f)
{
	var f = f || "0";
	if (getWebType() == "pc")  //如果是在金融终端里面， 使用金融终端的对话框
	{
		
		// var index = window.location.href.lastIndexOf("/");

		// var serverUrl =window.location.href.substring(0, index);
		// // alert(serverUrl)
		// var url = "http://www.treeid/dlg"+serverUrl+"/zx_dialog.htm?recid="+recid+"&f="+f; 
		// window.open(url, "_parent");
		// return;
		var shareFunc = require("modules/sharefunc");
		shareFunc.popTdxDlg({
			type:1,
			proc:"zx_content",
			params:[""+recid, ""+f]
		});
		return;
	}
	var strText = ""
            +"<div style='width:650px;height:500px;overflow-y:auto;padding:10px 20px;font-size:14px;'  "
            +    "<div class='zx-content'>"
            +        "<div id='title' class='tdxc_title' style='font-weight: bold;text-align: center;'></div>"
            +        "<div class='tdxc-time' style='color:#666;text-align: center;line-height:40px'>"
            +            "<div id='time'></div>"
            +            "<div id='font-ctr' style='display:none;line-height:40px'>"
            +                "<span>字体:</span>"
            +                "<a id='fontsmall' href='javascript:void(0);'><img onclick='fontsmaller()' src='images/fontsmaller.gif'>"
            +                "<a id='fontbig' href='javascript:void(0);'><img onclick='fontbigger()' src='images/fontbigger.gif'></a>"
            +            "</div>"
            +       "</div>"
            +        "<div id='summary' class='tdxc-summery' style='display:none'></div>"
            +        "<div class='tdxc-img' id='img_div'></div>"
            +        "<div id='zx_content' class='tdxc-text' ></div>"
            +        "<div id='ps' class='tdxc-link'></div>"
          	+		 "<div style='height:50px'></div>"
            +    "</div>"
                    
            +"</div>"
    var shareFunc =require("sharefunc");
	shareFunc.CallTQL(function(dateSrc){
		var jsonData=FormatResult(dateSrc);
		var wholecon=jsonData.tables[0].rows[0];
		var con_title=wholecon.title;
		var summary=wholecon.summary || "";
		var sumfd=summary.indexOf('。\r\n');
		if(sumfd>=0){
		summary=summary.substring(0,sumfd);
		}
		var date=wholecon.date;
		var info=wholecon.sourse;
		var surl=wholecon.url;
		var content="";
		content=wholecon.contents;
		if(content!==null){
			content=repstr(content);
		}
        art.dialog({
			title:con_title,
			content:strText,
			lock:true,
			fixed:true,
			resize:false,
			padding:0,
			// height:"500px",
			close:function(){
				showScroll(0);
			},
			init:function(){
				if(wholecon.attachPoto!=null){
					$("#img_div").append("<img id='img' src='"+wholecon.attachPoto+"'/>");
					var image = new Image();
					image.src = wholecon.attachPoto;
					if(image.width>650){
						$("#img").css("width","650px");
					}
				}

				var pslink=wholecon.attachFileurl;
				var pfiletype=wholecon.filetype;
				// if(con_title.length>42){
				// 	$(".tdxc_title").css("height",'60px');
				// }else if(con_title.length<43){
				// 	$(".tdxc_title").css("height",'30px');
				// }
				$("#title").append(con_title);
				// $("#time").append("时间："+date+"&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;来源：<a id='info' href='"+surl+"' target='_blank'>"+info+"</a>");
				$("#time").append("时间："+date);
				$("#summary").append(summary);
				$("#zx_content").append(content);
				// if(pslink!=null){
				// 	$("#ps").append("<a id='pslink' href='"+pslink+"' target='_blank'>附件:"+con_title+"."+pfiletype+"</a>");
				// }	

				showScroll(1);
			}
		})

	},"zx_content",[""+recid,''+f]);//获取内容相关的信息，表411100001	
}
exports.showContent = showContent;
window.showContent = showContent;


/*
滚动显示出返回顶部图标，在个模块的入口函数中使用
*/
function scrollInit(params)
{
	var _self = this;
	var options = {
		iconHome: 0,   //是否显示首页
		onHomeClick: undefined  // 首页按钮点击回调
	};
	$.extend(true, options, params);
	_self.clock  = undefined;

	var scrollTop=document.body.scrollTop||document.documentElement.scrollTop; 
	if ($("#scrollIcons").length > 0) 
	{
		$("#scrollIcons").remove();
	}
	if ($("#scrollIcons").length < 1)
	{
		var aHtml = [];
		aHtml.push("<div id='scrollIcons' class='scroll-icons' style=\"\">");
		if (options.iconHome)
		{
			aHtml.push("<div class='item scroll-icon icon-home'></div>");
		}
		
		aHtml.push("<div class='item scroll-icon icon-top'></div>");

		 //aHtml.push("<div class='item scroll-icon icon-report' target='parent' onclick=\"window.location.href='zx_float_report.htm'\"></a></div>");
		// aHtml.push("<div class='item scroll-icon icon-down'></div>");
		// aHtml.push("<div class='item scroll-icon icon-search'></div>");

		aHtml.push("<div class='item  div-down clearfix' style='display:none'>");
		aHtml.push("	<div class='fl'>");
		aHtml.push("		<img src='images/tdx_down.png'>");
		aHtml.push("	</div>");
		aHtml.push("	<div class='fr'>");
		aHtml.push("		<h3>通达信</h3>");
		aHtml.push("		<ul><li>扫一扫，轻松下载APP</li><li>您身边的金融IT服务专家</li></ul>");
		aHtml.push("	</div>");			
		aHtml.push("</div>");				
		aHtml.push("</div>");


		$("body").append(aHtml.join(""));

		$("#scrollIcons").find(".icon-top").unbind("click").click(function(event) {

			$("body,html").animate({
		   		scrollTop:0
		   	},100); 
		});

		$("#scrollIcons").find(".icon-down").mouseover(function(event) {
			if (_self.clock){
				clearTimeout(_self.clock);
				_self.clock = undefined;
			}				
			$("#scrollIcons").find(".div-down").show();
		});
		$("#scrollIcons").find(".div-down").mouseover(function(event) {
			if (_self.clock){
				clearTimeout(_self.clock);
				_self.clock = undefined;
			}				
			$("#scrollIcons").find(".div-down").show();
		});			
		$("#scrollIcons").find(".icon-down").mouseleave(function(event) {
			// return
			_self.clock = setTimeout(function(){
				$("#scrollIcons").find(".div-down").hide();
			}, 500);
		});	
		$("#scrollIcons").find(".div-down").mouseleave(function(event) {
			// return
			_self.clock = setTimeout(function(){
				$("#scrollIcons").find(".div-down").hide();
			}, 500);
			
		});		
		$("#scrollIcons").find(".icon-home").click(function(event) {
			if (options.onHomeClick)
			{
				options.onHomeClick();	
			}
			
		});	

		


	}




}
exports.scrollInit = scrollInit

	function ScrollPage(obj, options){
		var _self = this;
		_self.obj = obj;
		_self.pageNum = 1;
		_self.close = 0;
		_self.options = {
			loadFunc: undefined,
			pageSize: 20,
			loadText:"加载中..."
		};
		$.extend(true, _self.options, options);
		_self.obj.addClass('scroll-paging');


		_self.create = function(){
			_self.obj.empty();
			var img = "images/scroll_loading.gif";
			var s = "<div class='d-loading'><img src=\""+img+"\" ><span class='s-text'>"+_self.options.loadText+"</span></div>";
			_self.obj.append(s);

			$(window).unbind("scroll").scroll(function(){
				var scrollTop=document.body.scrollTop||document.documentElement.scrollTop; 
				var divTop = _self.obj.position().top;
				var height = $("body").height();
				var clientHeight = document.documentElement.clientHeight==0? document.body.clientHeight : document.documentElement.clientHeight;
				var scrollHeight = document.documentElement.scrollHeight == 0?  document.body.scrollHeight : document.documentElement.scrollHeight;
				var curScroll = scrollHeight - clientHeight -30;

				if (scrollTop >= curScroll)
				{
					if (!obj.hasClass('s-loading') && _self.close == 0)
					{
						_self.pageNum += 1;
						obj.addClass('s-loading');
						_self.goPage();	
					}
				}
			})			
		};

		_self.queryData = function(){
			_self.pageNum = 1;
			_self.goPage();
		}

		_self.goPage = function(){
			if (_self.options.loadFunc)
			{
				_self.options.loadFunc(_self.pageNum, _self.options.pageSize);
			}
		}

		_self.queryComplete = function(dataNum){
			_self.obj.removeClass('s-loading');
			if (dataNum != undefined && dataNum < _self.options.pageSize) //如果查询返回数据小于PageSize 表示没数据了，停止查询
			{
				_self.close = 1;
			}			
		}

		_self.create();
	}
	exports.ScrollPage = ScrollPage;


})


