
define(function(require, exports, module) {
	var func = require("appjs/zx_func");
	var shareFunc = require("sharefunc");

	var config = require("modules/config")
	
	var gPage;
	var gRec = 0;


	function main(flag){
		// getMenu();

	$("body,html").animate({
	   scrollTop:0  //让body的scrollTop等于pos的top，就实现了滚动
	   },0);  
		homeMain();
	}
	exports.main = main;

	function homeMain(){
		
		func.scrollInit();
		$("#detailDiv").hide();
		$("#homeDiv").show();
		if ($("#homeList").children().length > 1) // 返回首页的时候 如果有数据 就不更新了
		{
			return;
		}
		var datagrid = require("datagrid");
		var s = $("#tplHome").html();
		$("#homeDiv").html(s);
	
		gPage =new func.ScrollPage($("#homePage"), {
				pageSize:9,
				loadFunc:getHomeList
			});
		gPage.queryData();


	}
	exports.homeMain = homeMain;
	window.homeMain = homeMain;



	function getDetail(obj, flag)
	{
	
		obj.contentObj.html("");
		var o = obj.obj.find(".photo-dialog-body")
		o.animate({
	   scrollTop:0
	   },0); 
		obj.viewObj.hide();
		shareFunc.CallTQL(function(data){
			var jsonData=FormatResult(data);
			var rows = jsonData["tables"][1]["rows"] || [];
			if (rows.length > 0)
			{
				var title = rows[0].Title;
				var url = config.preUrl["tdxfile"] + rows[0].url;
				var author = (rows[0].Author && rows[0].Author.length > 0) ? "策划·设计：" + rows[0].Author :"";
				var s = "<div class='main-img' ><a ><img   src='"+ url+"'> <div  class='clearfix pic-logo'></a> <img src='images/zx_tjcj/pic_logo.png'></div></div><div class='tail-img'> <img src='images/zx_tjcj/tail_img.png'><div class='tail-write'>"+author+"</div></div>";
				var a = obj.contentObj
				obj.contentObj.html(s);
				obj.titleObj.html(title);
				if (rows[0]["rec_id"])
				{
					gRec = rows[0]["rec_id"];
				}
				setTimeout(function(){
					obj.viewObj.show();
					var rows2 = jsonData["tables"][2]["rows"] || [];
					if (rows2&&rows2.length > 0)
					{
						var rd = rows2[0];
						if (rd["pre_id"] == "0")
						{
							obj.nextObj.hide();
						}
						else
						{
							obj.nextObj.show();	
						}
						if (rd["next_id"] == "0")
						{
							obj.preObj.hide();
						}
						else
						{
							obj.preObj.show();	
						}						
					}
				}, 300)
				
			}

		}, "tdxi_zxtjcjindex",[flag.toString(), gRec,"1", "1", "1"]);		
	}



	function detailMain(id){
		if (!id) return;
		gRec = id;
		var p = new PhotoDialog({init:function(obj){
			getDetail(obj, 1)
		}
		,pre:function(obj)
		{
			getDetail(obj, 4)
		},
		next:function(obj){
			getDetail(obj, 3)
		}});
		return 
		
	}
	exports.detailMain = detailMain;
	window.detailMain = detailMain;


	function getHomeList(pageNum, pageSize)
	{
		shareFunc.CallTQL(function(data){
			var jsonData=FormatResult(data);
			var rows = jsonData["tables"][1]["rows"] || [];
			var num = jsonData["tables"][0]["rows"][0].count

			resetMenu(rows);
			gPage.queryComplete(rows.length);
		}, "tdxi_zxtjcjindex",["1", "0","0", pageNum.toString(), pageSize.toString()]);
	}



	function resetMenu(rows)
	{	
		// console.log(jQuery);
		// // console.log(jquery);
		// // return;
		// require("appjs/jquery.lazyload.min")

		var aHtml = [];
		if (rows.length < 1) return;
		// $("#homeList").empty();
		for (var row=0; row<rows.length; row++)
		{
			var rd = rows[row];
			if (rd.url) 
			{
				var url = config.preUrl["tdxfile"] + rd.url;
				var title = shareFunc.textSubstring(rd.Title, 80, "...");
				var summary = shareFunc.textSubstring(rd.Summary, 180, "...");
				var smallImg = config.preUrl["tdxfile"] + rd.small_img;

				var time = rd.issue_date1 || "";
				var s = "<div class='d-li-1'><div class='clearfix d-li'  link-href='"+rd.url+"' rec='"+rd.rec_id+"'> "				
					+"<div class='d-img'>"
					+"<img class='nopic' src='"+smallImg+"'  onclick=\"detailMain('"+rd.rec_id+"')\"></div>"
					 +"<div class='d-tail'>"+time+"</div></div></div>"	
				aHtml.push(s); 
				(function(rec_id, img){
					setTimeout(function(){
						
							// console.log(rec_id, img)
							$("[rec='"+rec_id+"']").find("img").attr("src", img);
						
					}, 500);
				})(rd.rec_id, smallImg);				
			}
		}
		$("#homeList").append(aHtml.join(""));
		// $("img.lazy").lazyload({
		// 	placeholder : "./images/zx_xw/image_none.jpg"
		// });
	}



	function pagejump(url,gntype,param1,param2,param3,param4){
	    // var locahref = window.location.protocol + "//" + window.location.host + '/site/MobInfo/html/';
	    window.location.assign(url);
	    //判断是否是在app内调用，是的话就传参数，不是的话就跳转url
	    // if(webType()){
	    //     url = locahref.concat(url);
	    //     LocationHref(url,'8',param1,param2,param3,param4);
	    // }
	    // else{
	    //     url = url+'&color='+bgcolor;
	    //     window.location.assign(url);
	    // }
	}





	function PhotoDialog(options){
		var _self = this;
		_self.options = {
			init:undefined,
			pre:undefined,
			next:undefined,
		}
		_self.obj = undefined;
		$.extend(true, _self.options, options);
		_self.create = function(){
			var aHtml = [];
			aHtml.push("<div class='photo-dialog'>");
			aHtml.push("<div class='photo-dialog-shade'> </div>");
			aHtml.push("<div class='photo-dialog-view'><div class='photo-dialog-body'> ");
			aHtml.push("<div class='pd-head'><div class='d-head'><div class='pd-title'></div> <div class='pd-close'><a class='i-close'></a></div> </div> </div>");
			aHtml.push("<div class='pd-content'> </div>");
			// aHtml.push(" <div class='pd-close'><a class='i-close'>X</a></div>");
			aHtml.push(" <div class='pd-tool'><div class='pd-pre'><a  href='javascript:void(0)'> </a> </div><div class='pd-next'><a href='javascript:void(0)'></a> </div></div>");	

			aHtml.push("</div></div>");

			aHtml.push("</div>");
			func.showScroll(1);
			$("body").append(aHtml.join(""));
			_self.obj = $("body").find(".photo-dialog");
			_self.titleObj = _self.obj.find(".pd-title");
			_self.contentObj = _self.obj.find(".pd-content");
			_self.viewObj =  _self.obj.find(".photo-dialog-view");
			_self.preObj = _self.obj.find(".pd-pre");
			_self.nextObj = _self.obj.find(".pd-next");
			_self.initEvent();
			$(window).resize();
			if (_self.options.init)
			{
				_self.options.init(_self);	
			}
		}

		_self.initEvent = function(){
			$(window).resize(function(event) {
				var bodyWidth = _self.obj.find(".photo-dialog-shade").width();
				var bodyHeight = _self.obj.find(".photo-dialog-shade").height();
				var w = (bodyWidth - 760 ) /2 + "px";
				var h = bodyHeight + "px";

				_self.obj.find(".photo-dialog-body").css("min-height", h);
				_self.obj.find(".photo-dialog-body").css("width", "760px");

				
			});
			_self.obj.find(".i-close").click(function(event) {
				_self.close();
			});
			_self.obj.find(".pd-pre a").click(function(event) {
				if (_self.options.pre)
				{
					_self.options.pre(_self);	
				}
			});	
			_self.obj.find(".pd-next a").click(function(event) {
				if (_self.options.next)
				{
					_self.options.next(_self);	
				}
			});
			_self.obj.find(".photo-dialog-view").click(function(event) {
				/* Act on the event */
				var target=event.target||event.srcElement;

				if (/photo-dialog-view/i.test(target.className))
				{
					_self.close();
				}

			});

		}
		_self.close = function(){
			_self.obj.remove();
			// $("body").css("overflow", "auto");
			func.showScroll(0);
		}
		_self.create();
	}



}); 