
define(function(require, exports, module) {

Array.prototype.indexOf=function(testZi){
        
    for(var i=0;i<this.length;i++){
            if(testZi===this[i]){  // 使用===全等
                    return i;
            }
    }
    return -1
}



function scrollToDiv(div, addHeight, times)
{
	times = times==undefined?300:times;
	addHeight = addHeight;
	var scroll_offset = $(div).offset();  //得到pos这个div层的offset，包含两个值，top和left
	if (scroll_offset)
	{
	  $("body,html").animate({
	   scrollTop:scroll_offset.top + addHeight  //让body的scrollTop等于pos的top，就实现了滚动
	   },times);  	
	}

}
exports.scrollToDiv = scrollToDiv;

/*
获取屏幕的高度
*/
function screenHeight()
{
	if (document.compatMode == "BackCompat") { 
		return ;
	}
	else{
		 return document.documentElement.clientHeight
	}
	// return document.body.clientHeight || document.documentElement.clientHeight;
}

exports.screenHeight = screenHeight;
/*
获取屏幕的高度
*/
function screenWidth()
{
	// if (document.compatMode == "BackCompat") { 
	// 	return ;
	// }
	// else{
	// 	 return document.documentElement.clientHeight
	// }
	return Math.max(document.documentElement.clientWidth, $("body").width());
}
exports.screenWidth = screenWidth;


/*
* 获取网页的类型，
*/
function getWebType(){
	var param = getUrlParam();
	if (param["pc"] == "1" || param["ispc"] == "1")
	{
		return "pc";
	}
	else
	{
		return "web";
	}
}


/*
* 获取html内容
*/
function loadHtml(htmlName, callback){

	$.ajax({  
    	type: "GET",  
     	url: htmlName,  
    	dataType: "html",
    	cache:true,
    	data:'',
     	error:function() {
      	},
      	success: function (ResponseText) {
      		if (callback)
      		{
      			callback(ResponseText);
      		}
      	}
    });
}
exports.loadHtml = loadHtml;



function getUrlParam() {

    var htmlParam =location.search.substring(1); 
  	var htmlArray = htmlParam.split("&");
  	var objData = {};
  	
  	for (var row=0; row<htmlArray.length; row++)
  	{
  		var a = htmlArray[row].split("=");
  		
  		if (a.length >1)
  		{
  			objData[a[0]] = a[1]
  		}
  	}
  	return objData;
} 
exports.getUrlParam = getUrlParam;


//显示模板的内容
function getTplText(tpl){
	// var a = $(div).html() || "";
	// doT.template($("#tplNav").html())

	// var a = document.getElementById(tpl); 
	var text = (document.getElementById(tpl) || {text: ''}).text;
	return doT.template(text);	

}
exports.getTplText = getTplText;

// 截取一段文字
function textSubstring(text, length, add){
	var add = add||"";
	var length = length || 0;
	var text = text || "";
	var ret = text.length > length ? (text.substring(0, length) + add) : text;
	return ret;
	
}
exports.textSubstring = textSubstring;



/*
* 转换日期的格式，
*/
function converDate(sDate, f)
{
	
	if (!sDate)
		return;
	sDate = sDate.replace(/-/g, "");
	if (sDate.length < 8) return;
	sDate = sDate.substring(0, 8);
	var f = f || "";
	return sDate.substring(0,4) + f + sDate.substring(4, 6) + f + sDate.substring(6, 8); 
} 
exports.converDate = converDate;

function  dateAdd(interval,number,date) 
{ 
/* 
 *---------------  DateAdd(interval,number,date)  ----------------- 
 *  DateAdd(interval,number,date)  
 *  参数:interval,字符串表达式，表示要添加的时间间隔. 
 *  参数:number,数值表达式，表示要添加的时间间隔的个数. 
 *  参数:date,时间对象. 
 *  返回:新的时间对象. 
 *  var  now  =  new  Date(); 
 *  var  newDate  =  DateAdd( "d ",5,now); 
 */

    switch(interval) 
    { 
        case  "y"  :  { 
            date.setFullYear(date.getFullYear()+number); 
            return  date; 
            break; 
        } 
        case  "q"  :  { 
            date.setMonth(date.getMonth()+number*3); 
            return  date; 
            break; 
        } 
        /*报告期*/
        case "r" :{
		 	var day = date.getDate();
		 	date.setDate(1); 
		 	var dayInfo = {
		 				0:{0:31, 1:28, 2:31, 3:30, 4:31, 5:30, 6: 31, 7:31, 8: 30, 9:31, 10:30, 11:31},
		 				1:{0:31, 1:29, 2:31, 3:30, 4:31, 5:30, 6: 31, 7:31, 8: 30, 9:31, 10:30, 11:31}	
		 				};

            date.setMonth(date.getMonth()+number*3);
            var newYear = date.getFullYear();
            var newMonth = date.getMonth();
            var result =(newYear%4==0 && newYear%100!=0)||(newYear%400==0) ? 1: 0;
            var maxDays = dayInfo[result][newMonth];
            var newDay = maxDays;
            date.setDate(newDay);
            return  date; 
            break;       	
        }
        case  "m"  :  { 
		 	var day = date.getDate();
		 	date.setDate(1); 
		 	var dayInfo = {
		 				0:{0:31, 1:28, 2:31, 3:30, 4:31, 5:30, 6: 31, 7:31, 8: 30, 9:31, 10:30, 11:31},
		 				1:{0:31, 1:29, 2:31, 3:30, 4:31, 5:30, 6: 31, 7:31, 8: 30, 9:31, 10:30, 11:31}	
		 				};
            date.setMonth(date.getMonth()+number);
            var newYear = date.getFullYear();
            var newMonth = date.getMonth();
            var result =(newYear%4==0 && newYear%100!=0)||(newYear%400==0) ? 1: 0;
            var maxDays = dayInfo[result][newMonth];
            var newDay = day;
            if (newDay > maxDays) 
            {
            	newDay = maxDays;
            }
            date.setDate(newDay);

            return  date; 
            break; 
        } 
        case  "w"  :  { 
            date.setDate(date.getDate()+number*7);
            return  date; 
            break; 
        } 
        case  "d"  :  { 
            date.setDate(date.getDate()+number); 
            return  date; 
            break; 
        } 
        case  "h"  :  { 
            date.setHours(date.getHours()+number);
            return  date; 
            break; 
        } 
        case  "min"  :  { 
            date.setMinutes(date.getMinutes()+number); 
            return  date; 
            break; 
        } 
        case  "s"  :  { 
            date.setSeconds(date.getSeconds()+number); 
            return  date; 
            break; 
        } 
        default  :  { 
            date.setDate(date.getDate()+number); 
            return  date; 
            break; 
        } 
    } 
}
exports.dateAdd = dateAdd;


//判断是否为数组
function isArray(o) {  
  return Object.prototype.toString.call(o) === '[object Array]';   
}
exports.isArray = isArray;


/*
	客户端查询接口
*/

function tdxQuery(method, funcName, param, callback){
	var json = require("./json2");
	var request = {
		Method: method,
		FuncName: funcName,
		Param: String(param)
	};
	//callback = once(callback);
	if (window.TDXQuery)
	{

		window.TDXQuery({
			request: json.stringify(request),
			onSuccess: function (response) {
				
		  		callback(null, response);
			},
			onFailure: function (errCode, errInfo) {
				
		  		callback(errInfo || '底层错误(TDXQuery)', errCode);
			}
		});		
	}
	else
	{
		callback('TDXQuery不存在', -1);
	}


}
exports.tdxQuery = tdxQuery;

var _gCache = {}; //存储 查询的数据，{data:数据，date:时间}
/*
	callback 返回请求 callback(data, flag) data返回数据， flag 1表示在缓存中，0 不再缓存中
*/
function callTql(callback, proc, param, options)
{
	var json = require("./json2");
	var o = {
		isCache: 0  //是否缓存，如果缓存将会记录内容，下次proc,param一致的时候 不查询，直接返回
	};
	var cache = _gCache
	var initTimes = 10;
	var maxLength = 4000000; //如果支持localStorage 设置为4M，超过则会清除
	if (window.localStorage)  //如果支持localStorage 则用本地缓存
	{
		cache = localStorage;
	}
	var newOptions = $.extend({}, o, options);
	var key = proc + "+" + param.join("+");
	if (newOptions.isCache)
	{	
		
		var d = _getData(key);
		if (d)
		{
			return callback(d["data"], 1)
		}
	}

	function _getData(key)
	{
		var tqlCache = _getCache();
		_removeCache(initTimes);
		if (tqlCache[key])
		{
			return tqlCache[key];
		}
	}
	function _setData(key, data){
		var curTimes = initTimes;
		_removeCache(curTimes);
		var now = new Date();

		while(1)
		{

			curTimes = curTimes - 1;
			try{
				if ((cache["tqlCache"]||"").length >= maxLength)
				{
					_removeCache(curTimes);
				}
				else
				{
					var tqlCache = _getCache();
					tqlCache[key] = {data:data, time:now};
					_setCache(tqlCache);
					return true;					
				}


			}
			catch (e) 
			{
				
				_removeCache(curTimes)
			}
			if (curTimes <= 1) //内容太多，超过了 最大长度
			{
				return false;
			}

		}
	}
	function _getCache()
	{
		var strCache = cache["tqlCache"] || "";
		if (strCache)
		{
			try{
				var tqlCache = $.parseJSON(strCache);
				return tqlCache;
			}
			catch(e)
			{
				return {};
			}
		}
		else
		{
			return {};
		}
	}
	function _setCache(data)
	{
		var s = json.stringify(data);
		cache["tqlCache"] = s;
	}

	function _removeCache(times)
	{
		var tqlCache = _getCache();
		for (var key in tqlCache)
		{


			var val = tqlCache[key];
			var now = new Date();
			var d = new Date(val["time"].valueOf())
			if (d)
			{
				var d1 = dateAdd("min", times, d);
				if (now > d1)
				{
					delete  tqlCache[key];
				}
			}
		}
		_setCache(tqlCache);
	}

	function _callback(key)
	{

		return function(data){
			if (newOptions.isCache)
			{
				_setData(key, data);
			}
			return callback(data, 0);	
		}
	}

	var exp = /^tdxi_/;
	var callOption = {CilentSpecifiedKey:""};
	if (proc.match(exp))
	{
		callOption["reqtype"] = "cwserv";
	}
	if (newOptions.isUser)
	{
		callOption["callFunc"] = "UserServ.SecuInfo";
	}
	CallTQL(_callback(key), proc, param, callOption);


}
exports.CallTQL = callTql;

/*
* 自动获取超链接
* code:证券代码
* market:市场，可不送，不送默认为A股市场
* stype:证券类型，可不送，默认为股票，1-股票 2-基金 3-港股
*/
function getJumpUrl(code,market,stype){

    var baseurl_gp=WEBSITE.url+"stock/gp_sdzl.htm";
    //var baseurl_hk=WEBSITE.url+"hkstock/hk_f10.htm";
    var baseurl_hk="http://page.tdx.com.cn/zdweb/yht/hkstock/hk_f10.htm";
    var baseurl_jj=WEBSITE.url+"fund/jj_jjf9.htm";
    var basetreeid_code="http://www.treeid/code_";
    var basetreeid_m_code="http://www.treeid/breed_";
	var basetreeid_jj_code="http://www.treeid/breedjj_";
    if(market==undefined||market==null){
        market="";
    }

    if(stype==undefined||stype==null){
        stype="";
    }
	

    //客户端股票（可带市场）代码跳转
    if( getWebType()=="pc" && (stype=="" || stype=="1"||stype=="3") ){
        return market==""?(basetreeid_code+code):(basetreeid_code+market+"#"+code);
    }

	//客户端基金（可带市场）代码跳转
    if( getWebType()=="pc" && stype=="2"){
        return market==""?(basetreeid_jj_code+code):(basetreeid_m_code+market+"#"+code);
    }
    
}
exports.getJumpUrl = getJumpUrl;



//弹起tdx对话框
function popTdxDlg(options)
{
	var json = require("./json2");
	var config = require("./config");

	var oldOptions = {
		type: 1, //  1, 根据存储过程取数据，返回字段 参考zx_content,  3打开Url 直接打开Url
		proc: "", // type=1时候调用的过程名
		params: [], // type=1时候的参数
		title: "", //  type = 4的时候 显示标题
		url:"" //		type  in (2, 3,4) 时候 的链接
	};
	var newOptions = $.extend(oldOptions, options);
	var index = window.location.href.lastIndexOf("/");
	var serverUrl =window.location.href.substring(0, index);


	var urlParam = encodeURIComponent(json.stringify(oldOptions));	
	serverUrl += "/modules";
	// "http://www.treeid/dlg"+ _parent
	var url =  "http://www.treeid/dlg"+serverUrl+"/tdx_dialog.htm?"+urlParam; 
	window.open(url, "_parent");
	return;

}
exports.popTdxDlg = popTdxDlg;
window.popTdxDlg = popTdxDlg;

/*打开巨潮PDF，Url格式为2015-11-30/1023232.pdf*/
function openJcPdf(url){
	var config = require("./config");
	if (url) //巨潮PDF
	{
		url = (config.preUrl["jcPdf"] || "") + url;
	}
	else
	{
		return;
	}
	popTdxDlg({
		type:2,
		url:url
	});
	return;
}
exports.openJcPdf = openJcPdf;
window.openJcPdf = openJcPdf;




/*直接打开网页对话框*/
function openUrl(url){
	popTdxDlg({
		type:3,
		url:url
	});
	return;
}
exports.openUrl = openUrl;
window.openUrl = openUrl;

/*打开巨潮采集的txt文件*/
function openTxt(url, title){
	if (getWebType() == "pc")  //如果是在金融终端里面， 使用金融终端的对话框
	{

		if (!url) return;
		var config = require("./config");
		url = (config.preUrl["jcTxt"]||"") + url;
		popTdxDlg({
			type:3,
			url:url,
			title:title
		});
		return;
	}
}
exports.openTxt = openTxt;
window.openTxt = openTxt;

/*将带有属性为tip-title的地方显示类似于<a>的title属性*/
function tipTitle()
   {
        $("[tip-title]").unbind("mouseover").mouseover(function(event){
            var content = $(this).attr("tip-title") || "";
            var tipClass = $(this).attr("tip-class") || "";
            $(".pop-info").remove();
            if (content)
            {
                (function(obj){
                    var clock ; //鼠标移动到对应的框上的时候，等1秒再弹框
                    clock = setTimeout(function(){
                        clock = undefined;
                        var pointX = event.pageX;
                        var pointY = event.pageY+20;
                        // console.log(pointX);
                        var bodyWidth = $("body").innerWidth();
                        // var bodyHeight = $("html").innerHeight();
        
                        var scroll = $("body").scrollTop();
                        var sHeight = screenHeight();
                        var s = "<div id='popInfo333' class='pop-info "+tipClass+"' style='left:-1000px;top:-1000px;display:none'>"+content+"</div>";
                        $("body").append(s);
                        var lenth = $("#popInfo333").width();
                        var divHeight = $("#popInfo333").height();
                        if (pointX + lenth + 30 > bodyWidth)
                        {
                            pointX = bodyWidth - lenth - 50;
                        }
                        if (pointY + divHeight + 30 > scroll+ sHeight)
                        {
                            pointY = pointY - divHeight - 30;
                        }
                        $("#popInfo333").css("left", pointX);
                        $("#popInfo333").css("top", pointY);
                        $("#popInfo333").show();                        
                    }, 500);


                    $(obj).mouseout(function(){
                        if (clock)
                        {
                            clearTimeout(clock);
                            clock = undefined;
                        }
                        $(".pop-info").remove();
                    })

                })(this)


            }


        })
    }
exports.tipTitle = tipTitle;
if (getWebType() == "pc")
{
	document.oncontextmenu = function(){return false;}; 
}
})