define(function(require, exports, module) {
	var config = require("./config");
	var gLoad = 1;
	function getUrlParam() {

	    var htmlParam =decodeURIComponent(location.search.substring(1)); 
	    
	  	var htmlArray = {};
	  	if (!htmlParam) 
	  	{
	  		return;
	  	}
	  	htmlArray = $.parseJSON(htmlParam);
	  	return htmlArray;
	} 

	function noText()
	{
		gLoad = 0;
		$("#content").append("暂无数据");
		$("#content").show();
	}

	function getDefault()
	{
		var retVal = "2";
		if (window.localStorage)
		{
			retVal = window.localStorage["font-size-key"] || "2";
		}
		return retVal;
	}

	function setDefault(key)
	{

		if (window.localStorage)
		{
			window.localStorage["font-size-key"] = key;
		}

	}

	//将标题中带有股票代码的转为可以连接行情的代码
	function formatTitle(title)
	{
		var exp = new RegExp("(^|[^0-9])(([0234568][0-9]{5})|{9[0~8][0-9]{4})($|[^0-9])", "g"); // 先匹配到左右为带非数字的股票代码
		var rStr = title;
		if (title)
		{
			var f = title.match(exp);
			if (f)
			{
				for (var row=0; row<f.length; row++)
				{
					var rd = f[row];
					var exp1 = new RegExp("(([0234568][0-9]{5})|{9[0~8][0-9]{4})", "g"); //匹配精确的股票代码
					var k = rd.match(exp1);
					if (k)
					{
						var code = k[0];
						var newCode = "<a class='stock-f5'  href='http://www.treeid/CODE_"+code+"'>"+code+"(行情)</a>"
						var newrd = rd.replace(exp1, newCode);
						rStr = rStr.replace(rd, newrd);
					}
				}
			}

		}
		return rStr;
	}
	function main(){
		document.oncontextmenu = function(){return false;}; 
		$(".font-size").each(function(index){
			$(this).unbind("click").click(function(event){
				var fontSize = $(this).attr("data-key");
				var val = $(this).attr("val");
				$(".font-size.curr").removeClass("curr");
				$(this).addClass("curr");
				$("#view").css("font-size", fontSize + "px");
				setDefault(val);

			});
		});
		setTimeout(function(){
			if (gLoad == 1)
			{
				$("#loading").show();
			}
		}, 1000);
		var defaultKey = getDefault();
		$("[val='"+defaultKey+"']").trigger("click");
		var param = getUrlParam();
		if (!param)
		{
			noText;
			return;
		}

		var type = param.type;
		switch(type)
		{
			case 1:  //通过接口查询
				initType1(param.proc,param.params);
				break;
			case 2: //打开巨潮的PDF
				if (!param.url)
				{
					noText();
					return;
				}
				gLoad = 0;
				window.location.href = param.url;
				break;
			case 3: // 打开URL
				if (!param.url)
				{
					noText();
					return;
				}
				gLoad = 0;
				window.location.href = param.url;		
				break;

			default:
				if (!param.url) 
				{
					noText();
					return;
				}
				// window.location.href=param.url;
				break;
		}


	}
	exports.main = main;

	function initType1 (proc, param)
	{
		if (!proc || !param)
		{
			noText();
			return;
		}
		CallTQL(function(dateSrc){
			gLoad = 0;
			$("#loading").hide();
			var jsonData=FormatResult(dateSrc);
			var wholecon=jsonData.tables[0].rows[0];
			if (!wholecon)
			{
				noText();
				return;
			}		
			var con_title=formatTitle(wholecon.title);
			var summary=wholecon.summary || "";
			var sumfd=summary.indexOf('。\r\n');
			if(sumfd>=0){
			summary=summary.substring(0,sumfd);
			}
			var date=wholecon.date;
			var src=wholecon.sourse;
			var surl=wholecon.url;
			var content="";
			var sourse = wholecon.sourse;
			content=wholecon.contents;
			if(wholecon.attachPoto!=null){
				$("#img_div").append("<img id='img' src='"+wholecon.attachPoto+"'/>");
				var image = new Image();
				image.src = wholecon.attachPoto;
				if(image.width>650){
					$("#img").css("width","650px");
				}
			}

			var pslink=wholecon.attachFileurl;
			var pfiletype=wholecon.filetype;	
			var attachFile = wholecon.attachFile;
			if (con_title)
			{
				$("#zxtit").append(con_title);
				$("#zxtit").show();
			}
			if (date)
			{
				$("#time").append("时间："+date);
				$("#time").show();

			}
			if (sourse) {
				$("#sourse").append("来源："+sourse);
				$("#sourse").show();
			}
			if ($.trim(content))
			{
				$("#content").show();
				$("#content").append(content);
			}
			if (!content && summary)  //有正文不显示摘要
			{
				$("#summary").append(summary);
				$("#summary").show();
			}
			
			if (pslink && attachFile)
			{
				$("#ps").append("<a class='pointer' id='pslink' href='"+pslink+"'  >附件:"+attachFile+"</a>");
			}
			// wholecon.infoFormat == '3' && 
			// http://www.treeid/
			if ( (src=="巨潮资讯" || src=="股份转让系统" ||  wholecon.infoFormat=='3' ) && surl) //巨潮或者股转 显示pdf图标
			{
				var exp = /(.pdf$)|(.PDF$)/;
				var img = "link.jpg";
				if (surl.match(exp))
				{
					img = "pdf.png";
					
				}			
				$("#time").append("<a class='pointer' href='"+surl+"' ><img src='images/"+img+"' style='margin-left:10px;'> </img></a>")
			}
			
			$("#gssm").show();

			
		},proc,param);//获取内容相关的信息，表411100001	
	}

});