﻿//交易发送协议(理财认购)
GetSendData = function (n, json) {
    var funcid = "";
    var ix = new IXContent();
    switch (n) {
        case 0: //返回表单多选下拉框所需内容(分红方式字段、分红方式内容、分红标志字段)
            return [];
        case 1: //帐号查询
            funcid = "2262"; //功能号
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F1207", "P");   //起始序号
            break;
        case 2: //配套查询
            funcid = "2256"; //功能号
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F1207", "P");   //起始序号
            break;
        case 3: //返回信息查询所需字段名(基金代码、产品代码、产品名称)
            return ["F402", "F1136", "F1137"];
        case 4: //信息查询
            funcid = "2110";    //功能号
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F402", json["F402"]);   //基金代码
            ix.Set("F426", json["F393"]);   //基金代码
            ix.Set("F400", "0");            //交易标志
            ix.Set("F397", "3");            //交易标志
            break;
        case 5: //返回信息展示所需字段名(基金名称、基金净值、可用资金)
            return ["F403", "F406", "F301"];
        case 6: //返回表单提交所需字段名(基金公司代码、基金账户、基金代码、基金名称、交易金额)
            return ["F426", "F417", "F402", "F403", "F405"];
        case 7: //表单提交(风险标志)
            funcid = "2100"; //功能号
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F426", json["F426"]);   //基金公司代码
            ix.Set("F417", json["F417"]);   //基金账户
            ix.Set("F402", json["F402"]);   //基金代码
            ix.Set("F400", "0");    //交易标志
            ix.Set("F405", json["F405"]);   //交易金额
            ix.Set("F1223", "1");   //检查风险标志
            ix.Set("F125", "");   //检查风险标志
            ix.Set("F123", "");   //检查风险标志
            ix.Set("F397", "3");   //检查风险标志
            break;
        case 8: //返回表单提交风险提示所需字段名(检查风险标志、返回信息、提示信息1、提示信息2)
            return ["F1223", "F149", "F251", "F252"];
        case 9: //表单提交
            funcid = "2100"; //功能号
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F426", json["F426"]);   //基金公司代码
            ix.Set("F417", json["F417"]);   //基金账户
            ix.Set("F402", json["F402"]);   //基金代码
            ix.Set("F400", "0");    //交易标志
            ix.Set("F405", json["F405"]);   //交易金额
            ix.Set("F1223", "2");   //检查风险标志
            ix.Set("F125", "");   //检查风险标志
            ix.Set("F123", "");   //检查风险标志
            ix.Set("F397", "3");   //检查风险标志
            break;
        case 10: //分红设置
            // funcid = "2114"; //功能号
            // ix.Set("F426", json["F426"]);   //基金公司代码
            // ix.Set("F402", json["F402"]);   //基金代码
            // ix.Set("F408", json["F408"]);   //基金分红方式
            break;
        default:
            break;
    }
    return [funcid, ix];
}

/*//表单初始化
SetBDCSHLoadForm = function () {
    try {
        //var field = ["F395"]; //产品状态
        var field = ["F425"]; //产品状态
        var result = [];
        var jsonData = fundData;
        result.push(jsonData[0]);
        result.push(jsonData[1]);
        for (var i = 2; i < jsonData.length; i++) {
            var json = jsonData[i];
            for (var n in json) {
                var m = json[n];
                switch (n) {
                    case field[0]:  //产品状态
                        switch (m) {
                            case "1": //认购时期
                                result.push(json);
                                break;
                            default:
                                break;
                        }
                        break;
                    default:
                        break;
                }
            }
        }
        fundData = result;
    }
    catch (err) {
    }
}*/

//表单提交字段
GetBDTJFieldWord = function (json, array) {
    try {
        //发送数据添加
        var field = ["F426", "F417", "F393"]; //基金公司代码、基金账户、产品公司代码
        var value = [json[field[0]],  "",json[field[0]]];
        value[1]=GetAccount(field[2], value[2], field[1]);
        json[field[1]]=value[1];
    }
    catch (err) {
    }
    return json;
}

//表单已查询
SetBDYCXLoadForm = function () {
    //扩展查询
        if (typeof (Controller) != "object") {
            ReadJavaScript("../../trade/Controller/Controller.js", function () {
                //资金数据查询
                Controller.send = function (n, json) {
                    var funcid = "";
                    var ix = new IXContent();
                    switch (n) {
                        case 2: //资金数据查询
                            funcid = "104"; //功能号
                            ix.Set("F110", json["wtfs"]);   //委托方式
                            ix.Set("F132", "-1");   //(可选)币种(CZBZ=1时有效)
                            ix.Set("F113", "-1");   //(可选)操作标志(1--[国信证券]可取资金查询,0/...--可用资金查询)
                            break;
                        default:
                            break;
                    }
                    return [funcid, ix];
                }
                Controller.call([2], function (n, jsonData) {
                    SetMobFormDes('F301',jsonData[2]['F301']);
                });
            });
        }
        else{
            //资金数据查询
            Controller.send = function (n, json) {
                var funcid = "";
                var ix = new IXContent();
                switch (n) {
                    case 2: //资金数据查询
                        funcid = "104"; //功能号
                        ix.Set("F110", json["wtfs"]);   //委托方式
                        ix.Set("F132", "-1");   //(可选)币种(CZBZ=1时有效)
                        ix.Set("F113", "-1");   //(可选)操作标志(1--[国信证券]可取资金查询,0/...--可用资金查询)
                        break;
                    default:
                        break;
                }
                return [funcid, ix];
            }
            Controller.call([2], function (n, jsonData) {
                SetMobFormDes('F301',jsonData[2]['F301']);
            });
        }
}

