﻿//交易发送协议(股份转让成交确认卖出)
GetSendData = function (n, json) {
    var funcid = "";
    var ix = new IXContent();
    switch (n) {
        case 0: //返回表单多选下拉框所需内容(股东代码字段、股东代码内容)
            return ["F123", json["gddm"][2]];
        case 1: //股转配套查询
            // funcid = "1406";    //功能号
            // ix.Set("F110", json["wtfs"]);   //委托方式
            // ix.Set("F113", "X");    //操作标志
            // ix.Set("F130", "X");    //买卖标志
            // ix.Set("F1207", "P");   //起始序号
            break;
        case 2: //返回证券信息查询所需字段名(证券代码)
            return ["F140"];
        case 3: //证券信息查询
            funcid = "1124";    //功能号
            ix.Set("F125", json["zhlb"]);   //账号类别
            ix.Set("F123", json["gddm"]);   //股东代码
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F130", "88");   //买卖标志
            ix.Set("F140", json["F140"]);   //证券代码
            ix.Set("F397", "6");    //产品标志
            ix.Set("F166", "-1");    //委托方式
            break;
        case 4: //返回证券信息展示所需字段名(证券名称、可用资金、可用股份、约定序号、对方席位)
            return ["F141", "F301","F201", "F241", "F242"];
        case 5: //行情查询
            funcid = "102"; //功能号
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F140", json["F140"]);   //证券代码
            break;
        case 6:
            break;
        case 7: //返回可买(卖)数展示所需字段名(当前价、买一价、昨收价、委托价格)
            return [[["F949", "F910", "F946"], "F145"]];
        case 8: //返回表单提交所需字段名(账号类别、股东代码、证券代码、证券名称、委托价格、委托数量、约定序号、对方席位)
            return ["F125", "F123", "F140", "F141", "F145", "F144", "F241", "F242"];
        case 9: //表单提交
            funcid = "202"; //功能号
            ix.Set("F125", json["F125"]);   //账号类别
            ix.Set("F123", json["F123"]);   //股东代码
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F130", "88");   //买卖标志
            ix.Set("F140", json["F140"]);   //证券代码
            ix.Set("F145", json["F145"]);   //委托价格
            ix.Set("F133", "0");    //交易单位
            ix.Set("F144", json["F144"]);   //委托数量
            ix.Set("F166", "0");    //委托方式
            ix.Set("F241", json["F241"]);   //约定序号
            ix.Set("F242", json["F242"]);   //对方席位
            ix.Set("F397", "6");    //产品标志
            break;
        default:
            break;
    }
    return [funcid, ix];
}

//数据字段翻译
GetZQXXFieldWord = function (n) {
    switch (n) {
        case 0: //返回转让类型字段(委托方式)
            return "F166";
        case 1: //转让类型内容
            return { "0": "集合竞价+连续竞价", "1": "集合竞价", "2": "做市转让", "3": "协议转让" };
        default:
            break;
    }
}

//代码配套查询
GetSendData_DMPTCX = function (n, json) {
    var funcid = "";
    var ix = new IXContent();
    switch (n) {
        case 0: //股转配套查询(需要传证券代码)
            funcid = "1406";    //功能号
            ix.Set("F125", json["zhlb"]);   //账号类别
            ix.Set("F123", json["gddm"]);   //股东代码
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F140", json["F140"]);   //证券代码
            ix.Set("F113", "X");    //操作标志
            ix.Set("F130", "X");    //买卖标志
            ix.Set("F1207", "P");   //起始序号
            break;
        case 1: //股转配套查询列表展示所需字段
            return ["F193", "F145"];
        case 2: //股转配套查询表单展示所需字段(席位代码、对方席位、委托价格、申报数量、约定序号)
            return [["F173", "F242"], "F145", "F193", "F241"];
        case 3: //股转配套查询可买(卖)查询所需字段名(委托价格)
            return ["F145"];
        default:
            break;
    }
    return [funcid, ix];
}

//输入完代码后弹出列表框
SetDMPTYCXLoadForm = function(){
    try{
         RespondSs($("#F140")[0]);
         $("#F140").blur();
    }
    catch(e){}
}