﻿//交易发送协议(信用-偿还)
GetSendData = function (n, json) {
    var funcid = "";
    var ix = new IXContent();
    switch (n) {
        case 0: //资产负债数据查询
            funcid = "3210";    //功能号
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F1207", "P");   //起始序号
            ix.Set("F130", "0");    //买卖标志
            break;
        case 1: //信用合约数据查询(未平仓)
            funcid = "3264";    //功能号 
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F1207", "P");   //起始序号
            break;
        case 2: //信用合约数据查询(未平仓)
            funcid = "3266";    //功能号 
            ix.Set("F110", json["wtfs"]);   //委托方式
            ix.Set("F1207", "P");   //起始序号
            break;
        case 3: //返回信用合约列表交易按钮显示逻辑所需字段名(当前负债数量)
            return ["F5554"];
        case 4: //返回卖劵还款所需字段名(证券代码、证券名称、委托编号、当前负债金额、利息负债)
            return ["F140", "F141", "F146", "F5554", "F5534"];
        case 5: //返回现金还款所需字段名(证券代码、证券名称、委托编号、当前负债金额、利息负债)
            return ["F140", "F141", "F146", "F5554", "F5534"];
        case 6: //返回卖劵还券所需字段名(证券代码、证券名称、委托编号、当前负债数量、利息负债)
            return ["F140", "F141", "F146", "F5554", "F5534"];
        case 7: //返回现券还券所需字段名(证券代码、证券名称、委托编号、当前负债数量、利息负债)
            return ["F140", "F141", "F146", "F5554", "F5534"];
        default:
            break;
    }
    return [funcid, ix];
}