﻿//项目属性配置(信用-资金信息查询)
mob_list_zjgf_zj = {
    //0为单品种列表展示；
    //1为简单多品种列表展示(注意：cells未定义的字段完全不展示)；
    //其他值或未定义，则为复杂多品种列表展示(注意：cells未定义的字段会在隐藏区展示)
    "type": 0,

    //表格标题
    "topic": {
        "show": 0,
        "font-size": ["16px", "16px"],
        "font-weight": ["bold", ""],
        "color": ["", ""],
        "content": [
            ["资产信息", "融资信息", "融券信息"],
            ["资产信息", "融资信息", "融券信息"]
        ]
    },

    //表格主体布局(项目属性中存在seat属性时，heads与cells属性失效，表格直接使用seat内部的heads与cells对象)
    "seats": {
        "heads": [
            ["证券市值", "可取资金", "可用保证金", "负债总浮盈"],
            ["融资合约金额", "融资当前市值", "现金资产", "担保资产"],
            ["融券合约金额", "融券当前市值", "总负债","融券合约盈亏"]
        ],
        "cells": [
            [
                { "F55267": ["", "", "", "2"] },
                { "F55268": ["", "", "", "2"] },
                { "F55261": ["", "", "", "2"] },
                { "F55262": ["", "", "", "2"] }
            ],
            [
                { "F59412": ["", "", "", "2"] },
                { "F59415": ["", "", "", "2"] },
                { "F59418": ["", "", "", "2"] },
                { "F59419": ["", "", "", "2"] }
            ],
            [
                { "F59422": ["", "", "", "2"] },
                { "F59425": ["", "", "", "2"] },
                { "F59429": ["", "", "", "2"] },
                { "F59426": ["", "", "", "2"] }
            ]
        ]
    },

    //判断字体颜色的辅助字段名
    "aids": {
        "C": "",    //比较颜色法辅助字段名，与昨收比较
        "P": "F204",    //关联颜色法辅助字段名，与浮动盈亏
        "O": "F130" //关联颜色法辅助字段名，与买卖撤关联
    },

    //表格按钮区设置(按钮文本、按钮功能函数名)
    "btns": [
        {
            "width": "",
            "height": "",
            "txt": {
                "background": "",
                "border-color": "",
                "font-size": "",
                "font-weight": "",
                "color": "",
                "content": "银证转账"
            },
            "fun": "SubmitYzzz"
        },
        {
            "width": "",
            "height": "",
            "txt": {
                "background": "",
                "border-color": "",
                "font-size": "",
                "font-weight": "",
                "color": "",
                "content": "现金还款"
            },
            "fun": "SubmitXjhk"
        }
    ],

    /*************************************************项目配置可覆盖全局配置*************************************************/
    //定义字体大小、字体粗细
    "font": {
        "B": ["12px", ""]  //表格主体字体大小、字体粗细
    },

    //定义表格列属性（表格的列宽、文本对齐方式）
    "col": [["33%", "center"], ["33%", "center"], ["34%", "center"]]
    /***********************************************************************************************************************/
};