﻿//项目属性配置(内部调拨流水)
mob_list_zzcx = {
    //0为单品种列表展示；
    //1为简单多品种列表展示(注意：cells未定义的字段完全不展示)；
    //其他值或未定义，则为复杂多品种列表展示(注意：cells未定义的字段会在隐藏区展示)
    // "type": 0,

    //表格列名
    "heads": ["业务名称", "转账金额", "时间/日期"],

    //表格每一列单元格显示的字段及内容表达
    "cells": [
        { "F306": ["", "", "", ""], "F1102": ["", "", "", "", ""] },
        { "F1107": ["", "", "", ""], "F147": ["", "", "", ""] },
        { "F1111": ["", "", "", "t"],"F409": ["", "", "", "d"] }
    ],

    //日期控件
    "date": {
        //设置控件区域
        "height": "",
        "background": "",

        //设置输入框样式
        "input": {
            "width": "",
            "height": "",
            "background": "",
            "border-color": "",
            "font-size": "16px",
            "font-weight": "",
            "color": ""
        },

        //设置按钮样式
        "button": {
            "width": "",
            "height": "",
            "background": "rgb(90,180,240)",
            "border-color": "rgb(90,180,240)",
            "font-size": "",
            "font-weight": "",
            "color": ""
        },

        //设置文本样式
        "text": {
            "font-size": "16px",
            "font-weight": "",
            "color": ""
        },

        //设置单元布局
        "layout": [
            { "text": "起" },
            { "input": "" },
            { "text": "止" },
            { "input": "" },
            { "button": { "content": "查询", "fun": "RespondCxByJudgeDate"} }
        ]
    },

    /*************************************************项目配置可覆盖全局配置*************************************************/
    //定义字体大小、字体粗细
    "font": {
        "M": ["12px", ""],   //单元格双行时，第二行字体大小、字体粗细
        "D": ["12px", ""]   //隐藏区域字体大小、字体粗细
    },

    //定义表格列属性（表格的列宽、文本对齐方式）
    "col": [["34%", "left"], ["33%", "right"], ["33%", "right"]]
    /***********************************************************************************************************************/
};

//查询响应(判断日期)
RespondCxByJudgeDate = function () {
    try {
        var startNum = Number($("#list_date input:eq(0)").val().replace(/-/g, ""));
        var endNum = Number($("#list_date input:eq(1)").val().replace(/-/g, ""));
        if (startNum > endNum) {
            alert("开始日期不能大于结束日期！")
        }
        else {
            RespondCx();
        }
        return;
    }
    catch (err) {
    }
    RespondCx();
}