/******/ (function(modules) { // webpackBootstrap
/******/ 	// install a JSONP callback for chunk loading
/******/ 	var parentJsonpFunction = window["webpackJsonp"];
/******/ 	window["webpackJsonp"] = function webpackJsonpCallback(chunkIds, moreModules, executeModules) {
/******/ 		// add "moreModules" to the modules object,
/******/ 		// then flag all "chunkIds" as loaded and fire callback
/******/ 		var moduleId, chunkId, i = 0, resolves = [], result;
/******/ 		for(;i < chunkIds.length; i++) {
/******/ 			chunkId = chunkIds[i];
/******/ 			if(installedChunks[chunkId]) {
/******/ 				resolves.push(installedChunks[chunkId][0]);
/******/ 			}
/******/ 			installedChunks[chunkId] = 0;
/******/ 		}
/******/ 		for(moduleId in moreModules) {
/******/ 			if(Object.prototype.hasOwnProperty.call(moreModules, moduleId)) {
/******/ 				modules[moduleId] = moreModules[moduleId];
/******/ 			}
/******/ 		}
/******/ 		if(parentJsonpFunction) parentJsonpFunction(chunkIds, moreModules, executeModules);
/******/ 		while(resolves.length) {
/******/ 			resolves.shift()();
/******/ 		}
/******/ 		if(executeModules) {
/******/ 			for(i=0; i < executeModules.length; i++) {
/******/ 				result = __webpack_require__(__webpack_require__.s = executeModules[i]);
/******/ 			}
/******/ 		}
/******/ 		return result;
/******/ 	};
/******/
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// objects to store loaded and loading chunks
/******/ 	var installedChunks = {
/******/ 		3: 0
/******/ 	};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/ 	// This file contains only the entry chunk.
/******/ 	// The chunk loading function for additional chunks
/******/ 	__webpack_require__.e = function requireEnsure(chunkId) {
/******/ 		var installedChunkData = installedChunks[chunkId];
/******/ 		if(installedChunkData === 0) {
/******/ 			return new Promise(function(resolve) { resolve(); });
/******/ 		}
/******/
/******/ 		// a Promise means "currently loading".
/******/ 		if(installedChunkData) {
/******/ 			return installedChunkData[2];
/******/ 		}
/******/
/******/ 		// setup Promise in chunk cache
/******/ 		var promise = new Promise(function(resolve, reject) {
/******/ 			installedChunkData = installedChunks[chunkId] = [resolve, reject];
/******/ 		});
/******/ 		installedChunkData[2] = promise;
/******/
/******/ 		// start chunk loading
/******/ 		var head = document.getElementsByTagName('head')[0];
/******/ 		var script = document.createElement('script');
/******/ 		script.type = 'text/javascript';
/******/ 		script.charset = 'utf-8';
/******/ 		script.async = true;
/******/ 		script.timeout = 120000;
/******/
/******/ 		if (__webpack_require__.nc) {
/******/ 			script.setAttribute("nonce", __webpack_require__.nc);
/******/ 		}
/******/ 		script.src = __webpack_require__.p + "" + chunkId + ".js";
/******/ 		var timeout = setTimeout(onScriptComplete, 120000);
/******/ 		script.onerror = script.onload = onScriptComplete;
/******/ 		function onScriptComplete() {
/******/ 			// avoid mem leaks in IE.
/******/ 			script.onerror = script.onload = null;
/******/ 			clearTimeout(timeout);
/******/ 			var chunk = installedChunks[chunkId];
/******/ 			if(chunk !== 0) {
/******/ 				if(chunk) {
/******/ 					chunk[1](new Error('Loading chunk ' + chunkId + ' failed.'));
/******/ 				}
/******/ 				installedChunks[chunkId] = undefined;
/******/ 			}
/******/ 		};
/******/ 		head.appendChild(script);
/******/
/******/ 		return promise;
/******/ 	};
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// identity function for calling harmony imports with the correct context
/******/ 	__webpack_require__.i = function(value) { return value; };
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/assets/";
/******/
/******/ 	// on error function for async loading
/******/ 	__webpack_require__.oe = function(err) { console.error(err); throw err; };
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TdxMsgBox = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

__webpack_require__(16);

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var TdxMsgBox = exports.TdxMsgBox = function () {
  function TdxMsgBox(props) {
    _classCallCheck(this, TdxMsgBox);

    var type = props.type;

    this.type = type;

    this.operateParam = this.operateParam.bind(this);
  }

  /**
   * 处理入参
   */


  _createClass(TdxMsgBox, [{
    key: "operateParam",
    value: function operateParam(args) {

      if (args.length == 1) {
        return {
          title: "提示",
          msg: args[0],
          callback: function callback() {}
        };
      }

      if (args.length == 2) {

        if (typeof args[1] == "function") {
          return {
            title: "提示",
            msg: args[0],
            callback: args[1]
          };
        } else {
          return {
            title: args[0],
            msg: args[1],
            callback: function callback() {}
          };
        }
      }

      if (args.length == 3) {
        return {
          title: args[0],
          msg: args[1],
          callback: args[2]
        };
      }
    }

    /**
     * 形成html内容
     */

  }, {
    key: "run",
    value: function run() {
      var _this = this;

      this.prefix = parseInt(Math.random() * 10000).toString(16);

      var _operateParam = this.operateParam(arguments),
          title = _operateParam.title,
          msg = _operateParam.msg,
          callback = _operateParam.callback;

      if (!msg) return;

      $("body").append("\n      <div id=\"" + this.prefix + "-msgbox\" class=\"tdx-msgbox-wrapper\">\n        <div class=\"tdx-msgbox\">\n          <div class=\"tdx-msgbox-title\">" + title + "</div>\n          <div class=\"tdx-msgbox-msg\">" + msg + "</div>\n        </div>\n      </div>\n    ");
      this.$el = $("#" + this.prefix + "-msgbox .tdx-msgbox");

      if (this.type == "alert") {
        this.$el.append("\n        <div class=\"tdx-msgbox-btn-wrapper\">\n          <button class=\"tdx-btn-default tdx-btn-ok\">\u786E\u5B9A</button>\n        </div>\n      ");

        this.$el.find(".tdx-btn-ok").bind("click", function () {
          $("#" + _this.prefix + "-msgbox").remove();
          setTimeout(callback, 0);
        });
      } else if (this.type == "confirm") {
        this.$el.append("\n        <div class=\"tdx-msgbox-btn-wrapper\">\n          <button class=\"tdx-btn-default tdx-btn-ok\">\u786E\u5B9A</button>\n          <button class=\"tdx-btn-default tdx-btn-cancel\">\u53D6\u6D88</button>\n        </div>\n      ");

        this.$el.find(".tdx-btn-ok").bind("click", function () {
          $("#" + _this.prefix + "-msgbox").remove();
          setTimeout(function () {
            callback(1);
          }, 0);
        });

        this.$el.find(".tdx-btn-cancel").bind("click", function () {
          $("#" + _this.prefix + "-msgbox").remove();
          setTimeout(function () {
            callback(0);
          }, 0);
        });
      }
    }
  }]);

  return TdxMsgBox;
}();

var alertBox = new TdxMsgBox({
  type: "alert"
});

var confirmBox = new TdxMsgBox({
  type: "confirm"
});

var tdxAlert = function tdxAlert() {
  alertBox.run.apply(alertBox, arguments);
};

var tdxConfirm = function tdxConfirm() {
  confirmBox.run.apply(confirmBox, arguments);
};

if (window) {
  window["tdxAlert"] = tdxAlert;
  window["tdxConfirm"] = tdxConfirm;
}

/***/ }),
/* 1 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.webCallTql = exports.jyCallTql = exports.fmtIXJson = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();
/*
  对 connect.js 的内容进行封装，适应 APP 中的交易请求
*/


__webpack_require__(0);

var _tdxJsStorage = __webpack_require__(10);

var _tdxJsStorage2 = _interopRequireDefault(_tdxJsStorage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

// 判断浏览器类型
var platform = tdxCheckMobSys();

// 交易协议

var JyCallTqlWrapper = function () {
  function JyCallTqlWrapper() {
    _classCallCheck(this, JyCallTqlWrapper);
  }

  _createClass(JyCallTqlWrapper, [{
    key: "send",
    value: function send(entry, param, callback) {

      if (platform == "Android" || platform == "IOS") {

        __jyCallTql.send(entry, this.transParam(param), callback);
      }

      // 微信平台
      else if (platform == "WX") {

          __hqCallTql.send("TSTC." + entry, [param], callback);
        } else {

          tdxAlert("未知的平台类型");
        }
    }
  }, {
    key: "transParam",
    value: function transParam(param) {

      /*
        
        送过来的时候，这里默认是个对象
          {
          key: value,
          key: value
        }
          手机APP需要转换后的数据 转换后
          [
          {key: value},
          {key: value}
        ]
        */

      var rt = [];
      try {

        Object.keys(param).map(function (key) {

          var o = {};
          o[key] = param[key];
          rt.push(o);
        });
        return rt;
      } catch (e) {
        return param;
      }
    }
  }]);

  return JyCallTqlWrapper;
}();

// webcall 封装


var WebCallTqlWrapper = function () {
  function WebCallTqlWrapper() {
    _classCallCheck(this, WebCallTqlWrapper);
  }

  _createClass(WebCallTqlWrapper, [{
    key: "send",
    value: function send(entry, param, callback) {

      if (platform == "Android" || platform == "IOS") {

        // 为了兼容APP中的商城取 localStorage，我们把适当性的 set 操作也在 localStorage 中存一份
        appWxWebCall(entry, param);

        __webCallTql.send(entry, param, callback);
      }

      // 微信平台，这里需要兼容一些 cache 操作
      else if (platform == "WX") {

          wxWebCall(entry, param, callback);
        } else {

          tdxAlert("未知的平台类型");
        }
    }
  }]);

  return WebCallTqlWrapper;
}();

// APP 存 localStorage


var appWxWebCall = function appWxWebCall(entry, param) {

  // cache 操作兼容
  if (entry == "tdxWebSetCacheData") {

    var key = param["WebCacheKey"];
    var value = param["WebCacheValue"];
    if (!value) {
      value = [];
    }
    _tdxJsStorage2.default.setItem(key, value);
  }

  // 通知结果
  else if (entry == "tdxSdxCheckUpResult") {
      var checkSdxResult = param.checkSdxResult,
          return198 = param.return198;

      // 流程失败

      if (checkSdxResult == 1) {

        _tdxJsStorage2.default.setItem("tdx_sdx_out", [[1, "适当性流程失败", 0, "", ""], [], []]);
      }
      // 流程成功，存最后一次198内容
      else {
          _tdxJsStorage2.default.setItem("tdx_sdx_out", return198);
        }
    }
};

// 微信平台环境，这里需要兼容一些 android 或者 ios APP 中的操作
var wxWebCall = function wxWebCall(entry, param, callback) {

  // cache 操作兼容
  if (entry == "tdxWebGetCacheData") {

    var key = param["WebCacheKey"];
    callback(_tdxJsStorage2.default.getItem(key) || []);
  } else if (entry == "tdxWebSetCacheData") {

    var _key = param["WebCacheKey"];
    var value = param["WebCacheValue"];
    if (!value) {
      value = [];
    }
    callback(_tdxJsStorage2.default.setItem(_key, value));
  }

  // 通知结果
  else if (entry == "tdxSdxCheckUpResult") {
      var checkSdxResult = param.checkSdxResult,
          return198 = param.return198;

      // 流程失败

      if (checkSdxResult == 1) {

        _tdxJsStorage2.default.setItem("tdx_sdx_out", [[1, "适当性流程失败", 0, "", ""], [], []]);
      }
      // 流程成功，存最后一次198内容
      else {
          _tdxJsStorage2.default.setItem("tdx_sdx_out", return198);
        }

      // 返回上一级
      history.go(-1);
    }

    // 其他的情形，直接走到 connect.js 中的封装
    else {

        __webCallTql.send(entry, param, callback);
      }
};

// 根据 row 数据，组装一个 IXJSON 格式的应答集合
var fmtIXJson = exports.fmtIXJson = function fmtIXJson(row) {

  if (!row) return "";

  var keys = Object.keys(row);
  var arr = [];
  keys.map(function (key) {
    arr.push(row[key]);
  });

  return [["0", "", 1, "", ""], keys, [], arr];
};

var jyCallTql = exports.jyCallTql = new JyCallTqlWrapper();
var webCallTql = exports.webCallTql = new WebCallTqlWrapper();

/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__(15);

__webpack_require__(14);

/***/ }),
/* 3 */,
/* 4 */,
/* 5 */,
/* 6 */,
/* 7 */,
/* 8 */,
/* 9 */,
/* 10 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

/**
 * 浏览器 localStorage 处理
 * @construtor
 */
var TdxJsStorage = exports.TdxJsStorage = function () {
  function TdxJsStorage() {
    _classCallCheck(this, TdxJsStorage);
  }

  _createClass(TdxJsStorage, [{
    key: "getItem",


    /**
     * 从 localStorage 取值
     * @param { String } key - 关键字
     * @return { Object|String|Array } 根据存放的内容判断，使用 JSON.parse 的应答
     */
    value: function getItem(key) {

      if (typeof key !== "string") {
        return undefined;
      }

      var value = localStorage.getItem(key);

      try {
        return JSON.parse(value);
      } catch (e) {
        return value;
      }
    }

    /**
     * 向 localStorage 中存放内容
     * @param { String } key - 存放的key
     * @param { Object|String|Array } value - 任何类型
     */

  }, {
    key: "setItem",
    value: function setItem(key, value) {

      if (typeof key !== "string") {
        return;
      }

      if (typeof value !== "string") {
        localStorage.setItem(key, JSON.stringify(value));
      } else {
        localStorage.setItem(key, value);
      }
    }

    /**
     * 清空 localStorage 中对应 keys 的值
     * @param { Array|String } keys - 关键字
     */

  }, {
    key: "removeItem",
    value: function removeItem(keys) {

      if (typeof keys === "string") {

        localStorage.removeItem(keys);
      } else if (keys.constructor == Array) {

        keys.map(function (key) {

          if (typeof key === "string") {

            localStorage.removeItem(key);
          }
        });
      }
    }
  }]);

  return TdxJsStorage;
}();

exports.default = new TdxJsStorage();

/***/ }),
/* 11 */,
/* 12 */,
/* 13 */,
/* 14 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),
/* 15 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),
/* 16 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ })
/******/ ]);